#
# spec file for package xf86 (Version 4.2.0)
#
# Copyright (c) 2004 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  aaa_skel flex freetype2 freetype2-devel glidesdk gpp libgpp libusb utempter
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim aaa_skel autoconf automake binutils cracklib freetype2 freetype2-devel gcc gdbm gettext glidesdk gpp libgpp libtool libusb libz pam perl rpm utempter

Name:         xf86
License:      X11/MIT
Group:        System/X11/Utilities
Obsoletes:    xtermutf xterm xfntbig xfntgrk xfntgr xdoc xlkit
Provides:     xtermutf xterm xfntbig xfntgrk xfntgr xdoc xlkit XFree86 XFree86-tools XFree86-xfs XFree86-twm XFree86-xdm XFree86-75dpi-fonts XFree86-ISO8859-2-75dpi-fonts XFree86-doc XFree86-xf86cfg x311bin X X11 x11 x312bin x311cfg x311ctrb x311f75 x311fnt x311ubin x312cfg x312ctrb x312f75 x312fnt x312ubin xf_bin xf_cfg xf_ctrb xfnt xfnt75 xusrbin xf86_40
%ifarch s390 s390x
Requires:     xdmbgrd pam_devperm.so xf86tools /lib/cpp
%else
Requires:     xdmbgrd pam_devperm.so xf86tools /lib/cpp
%endif
Autoreqprov:  on
Version:      4.2.0
Release:      262
Summary:      Basic X11 package
Source:       XFree86-%{version}.tar.bz2
Source1:      xdm.tar.gz
Source2:      xterm-patches.tar.gz
Source3:      driver_options.sh
Source4:      switch2xf86-3x
Source5:      Makefile.module
Source6:      switch2xf86_glx
Source8:      xf86WacomUSB.c
Source9:      locale.awk
Source10:     config.xfs
Source12:     rcxfs
Source13:     startx
Source14:     switch2nvidia_glx
Source15:     xserverrc
Source16:     glide3headers.tar.gz
Source17:     glidelibs-i386.tar.gz
Source18:     glidelibs-alpha.tar.gz
Source19:     HALlib.tar.gz 
Source20:     symbols.tar.gz
Source21:     suse-addons.tar.bz2
Source22:     vmware-010220.tar.gz
Source23:     ppc-patches.tar.bz2
Source24:     FILES
Source26:     SuSEconfig.xdm
Source27:     glide_profiles.tar.gz
Source28:     i810.tar.gz
Patch:        p_suse.diff
Patch1:       p_fixes.diff
Patch3:       p_vmware.diff
Patch4:       p_sparc_pci.diff
# sbit patch originally from <timecop@japan.co.jp>:
# http://www.ne.jp/asahi/linux/timecop/software/xfree-ttf-patch.tar.gz
# The patch was agains XFree86 4.0.1 and I had to adapt it a little bit
# to make it work with XFree86 4.2.0
Patch5:       p_sbit.diff
Patch6:       p_sunffb_dri.diff
Patch7:       p_drm_pte-highmem.diff
Patch8:       p_pnp-neo.diff
Patch9:       p_ia64.diff
Patch10:      p_xft_leak.diff
Patch11:      p_dlopen-refcount.diff
Patch12:      p_hwcursor.diff
Patch13:      p_nv-gf2go-gf4.diff
Patch14:      p_420-fixes.diff
Patch15:      p_fix-xkb-sig11.diff
Patch16:      p_i810-fix.diff
Patch17:      p_vgahw.diff
Patch18:      p_xf86Wacom.diff
Patch19:      p_late-fixes.diff
Patch20:      p_late-fixes2.diff
Patch21:      p_xf86Wacom-fix.diff
Patch22:      p_hu-euro.diff
Patch23:      p_cz-decimal.diff
Patch24:      p_drm_page.diff
Patch25:      p_mit-shm.diff
Patch26:      p_lbxproxy.diff
Patch27:      p_fixes_after_RC1.diff
Patch28:      p_vmware-fix.diff
Patch710:     p_arm.diff
Patch820:     p_mouse-misc.diff
Patch900:     p_xlib.diff
Patch1000:    p_i845.diff
Patch1001:    p_xlclocale.diff
Patch1002:    p_pam_setcred.diff
Patch1003:    fontfile-sec_bufferoverflows.diff
Patch1004:    xfree86_4.1.0_glx_dri_integer_overflow.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Contains XFree86 and some other programs from the contrib-directory.

Authors:
--------
    Alan Hourihane <alanh@fairlite.demon.co.uk>
    Bernhard Bender <br@elsa.mhs.compuserve.com>
    Craig Groeschel <craig@metrolink.com>
    David Dawes <dawes@XFree86.Org>
    David Wexelblat <dwex@XFree86.Org>
    Dirk Hohndel <hohndel@suse.de>
    Erik Nygren <nygren@mit.edu>
    Gertjan Akkerman <akkerman@dutiba.twi.tudelft.nl>
    Glenn Lai <glennlai@netcom.com>
    Hans Nasten <nasten@everyware.se>
    Harald Koenig <koenig@tat.physik.uni-tuebingen.de>
    Harm Hanemaayer <hhanemaa@cs.ruu.nl>
    Harry Langenbacher <harry@brain.jpl.nasa.gov>
    Henrik Harmsen <harmsen@eritel.se>
    Henry Worth <henry.worth@amail.amdahl.com>
    Jim Tsillas <jtsilla@ccs.neu.edu>
    Joe Moss <joe@morton.rain.com>
    Jon Block <block@frc.com>
    Jon Tombs <tombs@XFree86.org>
    Kevin Martin <martin@cs.unc.edu>
    Leonard N. Zubkoff <lnz@dandelion.com>
    Marc Evans <marc@XFree86.org>
    Marc La France <Marc.La-France@ualberta.ca>
    Michael Rohleder <michael.rohleder@stadt-frankfurt.de>
    Mike Hollick <hollick@graphics.cis.upenn.edu>
    Norbert Distler <Norbert.Distler@physik.tu-muenchen.de>
    Orest Zborowski <orestz@eskimo.com>
    Paolo Severini <lendl@dist.dist.unige.it>
    Pascal Haible <haible@izfm.uni-stuttgart.de>
    Peter Trattler <peter@sbox.tu-graz.ac.at>
    Rich Murphey <rich@XFree86.org>
    Rik Faith <faith@cs.unc.edu>
    Robin Cutsha <robin@XFree86.org>
    Simon Cooper <sc@sgi.com>
    Stuart Anderson <anderson@metrolink.com>

SuSE series: x

%package -n xloader
Summary:      XFree86 4.x Loader
Group:        System/X11/Servers/XF86_4
Requires:     xmodules ttmkfdir
Provides:     x_server XFree86-V4L
Autoreqprov:  on

%description -n xloader
This is the X Server (Loader) of XFree86 4.0.

Authors:
--------
    Alan Hourihane <alanh@fairlite.demon.co.uk>
    Bernhard Bender <br@elsa.mhs.compuserve.com>
    Craig Groeschel <craig@metrolink.com>
    David Dawes <dawes@XFree86.Org>
    David Wexelblat <dwex@XFree86.Org>
    Dirk Hohndel <hohndel@suse.de>
    Erik Nygren <nygren@mit.edu>
    Gertjan Akkerman <akkerman@dutiba.twi.tudelft.nl>
    Glenn Lai <glennlai@netcom.com>
    Hans Nasten <nasten@everyware.se>
    Harald Koenig <koenig@tat.physik.uni-tuebingen.de>
    Harm Hanemaayer <hhanemaa@cs.ruu.nl>
    Harry Langenbacher <harry@brain.jpl.nasa.gov>
    Henrik Harmsen <harmsen@eritel.se>
    Henry Worth <henry.worth@amail.amdahl.com>
    Jim Tsillas <jtsilla@ccs.neu.edu>
    Joe Moss <joe@morton.rain.com>
    Jon Block <block@frc.com>
    Jon Tombs <tombs@XFree86.org>
    Kevin Martin <martin@cs.unc.edu>
    Leonard N. Zubkoff <lnz@dandelion.com>
    Marc Evans <marc@XFree86.org>
    Marc La France <Marc.La-France@ualberta.ca>
    Michael Rohleder <michael.rohleder@stadt-frankfurt.de>
    Mike Hollick <hollick@graphics.cis.upenn.edu>
    Norbert Distler <Norbert.Distler@physik.tu-muenchen.de>
    Orest Zborowski <orestz@eskimo.com>
    Paolo Severini <lendl@dist.dist.unige.it>
    Pascal Haible <haible@izfm.uni-stuttgart.de>
    Peter Trattler <peter@sbox.tu-graz.ac.at>
    Rich Murphey <rich@XFree86.org>
    Rik Faith <faith@cs.unc.edu>
    Robin Cutsha, <robin@XFree86.org>
    Simon Cooper <sc@sgi.com>
    Stuart Anderson <anderson@metrolink.com>

SuSE series: x

%package -n xshared
Summary:      X11 shared libs
Group:        System/Libraries
Provides:     xpm XFree86-libs x
Obsoletes:    xpm
Autoreqprov:  on

%description -n xshared
Since some programs were linked with the X11 libraries, but do work on a text
console as well (e.g., emacs), we have put the X11 dynamic libraries into an
extra package so you can use such programs without installing the entire
X11 system.

SuSE series: x

%package -n xman
Summary:      On-line manuals for XFree86\tm
Group:        Documentation/Man
Provides:     x312man x311man xman1 xman3 
Autoreqprov:  on

%description -n xman
Manpages for programs that come with XFree86\tm.

SuSE series: doc

%package -n xmodules
Summary:      X11 base modules
Group:        System/X11/Servers/XF86_4
Autoreqprov:  off
Provides:     vmware-driver gamma_dri.so mesa_dri.so tdfx_dri.so tdfx_dri
Obsoletes:    vmware-driver

%description -n xmodules
Contains the server modules developed by the XFree86 team to support
the different video cards.

Authors:
--------
    Alan Hourihane <alanh@fairlite.demon.co.uk>
    Bernhard Bender <br@elsa.mhs.compuserve.com>
    Craig Groeschel <craig@metrolink.com>
    David Dawes <dawes@XFree86.Org>
    David Wexelblat <dwex@XFree86.Org>
    Dirk Hohndel <hohndel@suse.de>
    Erik Nygren <nygren@mit.edu>
    Gertjan Akkerman <akkerman@dutiba.twi.tudelft.nl>
    Glenn Lai <glennlai@netcom.com>
    Hans Nasten <nasten@everyware.se>
    Harald Koenig <koenig@tat.physik.uni-tuebingen.de>
    Harm Hanemaayer <hhanemaa@cs.ruu.nl>
    Harry Langenbacher <harry@brain.jpl.nasa.gov>
    Henrik Harmsen <harmsen@eritel.se>
    Henry Worth <henry.worth@amail.amdahl.com>
    Jim Tsillas <jtsilla@ccs.neu.edu>
    Joe Moss <joe@morton.rain.com>
    Jon Block <block@frc.com>
    Jon Tombs <tombs@XFree86.org>
    Kevin Martin <martin@cs.unc.edu>
    Leonard N. Zubkoff <lnz@dandelion.com>
    Marc Evans <marc@XFree86.org>
    Marc La France <Marc.La-France@ualberta.ca>
    Michael Rohleder <michael.rohleder@stadt-frankfurt.de>
    Mike Hollick <hollick@graphics.cis.upenn.edu>
    Norbert Distler <Norbert.Distler@physik.tu-muenchen.de>
    Orest Zborowski <orestz@eskimo.com>
    Paolo Severini <lendl@dist.dist.unige.it>
    Pascal Haible <haible@izfm.uni-stuttgart.de>
    Peter Trattler <peter@sbox.tu-graz.ac.at>
    Rich Murphey <rich@XFree86.org>
    Rik Faith <faith@cs.unc.edu>
    Robin Cutsha, <robin@XFree86.org>
    Simon Cooper <sc@sgi.com>
    Stuart Anderson <anderson@metrolink.com>

SuSE series: x

%package -n xf86_glx
Summary:      XFree86 4.X GLX driver
Group:        System/Libraries
Provides:     glidedri gldri_v5 libgl libMesaGL.so.3 libGL.so.1
Obsoletes:    glidedri gldri_v5
Requires:     3ddiag
Autoreqprov:  on

%description -n xf86_glx
This package contains the GLX driver of XFree86 4.X. This one is required,
if you want to use DRI of XFree86 4.x for 3D support.

Authors:
--------
    Alan Hourihane <alanh@fairlite.demon.co.uk>
    Bernhard Bender <br@elsa.mhs.compuserve.com>
    Craig Groeschel <craig@metrolink.com>
    David Dawes <dawes@XFree86.Org>
    David Wexelblat <dwex@XFree86.Org>
    Dirk Hohndel <hohndel@suse.de>
    Erik Nygren <nygren@mit.edu>
    Gertjan Akkerman <akkerman@dutiba.twi.tudelft.nl>
    Glenn Lai <glennlai@netcom.com>
    Hans Nasten <nasten@everyware.se>
    Harald Koenig <koenig@tat.physik.uni-tuebingen.de>
    Harm Hanemaayer <hhanemaa@cs.ruu.nl>
    Harry Langenbacher <harry@brain.jpl.nasa.gov>
    Henrik Harmsen <harmsen@eritel.se>
    Henry Worth <henry.worth@amail.amdahl.com>
    Jim Tsillas <jtsilla@ccs.neu.edu>
    Joe Moss <joe@morton.rain.com>
    Jon Block <block@frc.com>
    Jon Tombs <tombs@XFree86.org>
    Kevin Martin <martin@cs.unc.edu>
    Leonard N. Zubkoff <lnz@dandelion.com>
    Marc Evans <marc@XFree86.org>
    Marc La France <Marc.La-France@ualberta.ca>
    Michael Rohleder <michael.rohleder@stadt-frankfurt.de>
    Mike Hollick <hollick@graphics.cis.upenn.edu>
    Norbert Distler <Norbert.Distler@physik.tu-muenchen.de>
    Orest Zborowski <orestz@eskimo.com>
    Paolo Severini <lendl@dist.dist.unige.it>
    Pascal Haible <haible@izfm.uni-stuttgart.de>
    Peter Trattler <peter@sbox.tu-graz.ac.at>
    Rich Murphey <rich@XFree86.org>
    Rik Faith <faith@cs.unc.edu>
    Robin Cutsha <robin@XFree86.org>
    Simon Cooper <sc@sgi.com>
    Stuart Anderson <anderson@metrolink.com>

SuSE series: x3d

%package -n xf86glx-devel
Group:        Development/Libraries/X11
Provides:     xf86glxd gldev
Requires:     xf86_glx
Conflicts:    mesa-devel glx-devel
Autoreqprov:  on
Summary:      Development package of xf86_glx
Obsoletes:    xf86glxd

%description -n xf86glx-devel
This is the development package for xf86_glx. This package should only be
used in exceptional cases. For OpenGL development, the packages
'mesa-devel' + 'mesaglu/mesaglu-devel' + 'mesaglut/mesaglut-devel' are recommended.

Authors:
--------
    Alan Hourihane <alanh@fairlite.demon.co.uk>
    Bernhard Bender <br@elsa.mhs.compuserve.com>
    Craig Groeschel <craig@metrolink.com>
    David Dawes <dawes@XFree86.Org>
    David Wexelblat <dwex@XFree86.Org>
    Dirk Hohndel <hohndel@suse.de>
    Erik Nygren <nygren@mit.edu>
    Gertjan Akkerman <akkerman@dutiba.twi.tudelft.nl>
    Glenn Lai <glennlai@netcom.com>
    Hans Nasten <nasten@everyware.se>
    Harald Koenig <koenig@tat.physik.uni-tuebingen.de>
    Harm Hanemaayer <hhanemaa@cs.ruu.nl>
    Harry Langenbacher <harry@brain.jpl.nasa.gov>
    Henrik Harmsen <harmsen@eritel.se>
    Henry Worth <henry.worth@amail.amdahl.com>
    Jim Tsillas <jtsilla@ccs.neu.edu>
    Joe Moss <joe@morton.rain.com>
    Jon Block <block@frc.com>
    Jon Tombs <tombs@XFree86.org>
    Kevin Martin <martin@cs.unc.edu>
    Leonard N. Zubkoff <lnz@dandelion.com>
    Marc Evans <marc@XFree86.org>
    Marc La France <Marc.La-France@ualberta.ca>
    Michael Rohleder <michael.rohleder@stadt-frankfurt.de>
    Mike Hollick <hollick@graphics.cis.upenn.edu>
    Norbert Distler <Norbert.Distler@physik.tu-muenchen.de>
    Orest Zborowski <orestz@eskimo.com>
    Paolo Severini <lendl@dist.dist.unige.it>
    Pascal Haible <haible@izfm.uni-stuttgart.de>
    Peter Trattler <peter@sbox.tu-graz.ac.at>
    Rich Murphey <rich@XFree86.org>
    Rik Faith <faith@cs.unc.edu>
    Robin Cutsha <robin@XFree86.org>
    Simon Cooper <sc@sgi.com>
    Stuart Anderson <anderson@metrolink.com>

SuSE series: x

%package -n xextra
Summary:      Two hardware independent X-servers, Xvfb and Xnest
Group:        System/X11/Servers/XF86_4
Provides:     XFree86-Xnest XFree86-Xvfb x311xtra x312xtra
Autoreqprov:  on

%description -n xextra
Xvfb -- a virtual framebuffer X server. Xvfb is an X server that can
run on machines with no display hardware and no physical input
devices.  It emulates a dumb framebuffer using virtual memory.

Xnest -- a nested X server.  Xnest is a client of the real server
which manages windows and graphics requests on its behalf.  Xnest is a
server to its own clients.  Xnest manages windows and graphics
requests on their behalf.

SuSE series: x

%package -n xdevel
Summary:      Developing under XFree86\tm
Group:        Development/Libraries/X11
Provides:     XFree86-devel x311inc x311lib x311slib x312inc x312lib x312slib xf_lib xinclude xstatic
Autoreqprov:  on

%description -n xdevel
This package contains the include files, libraries, and the imake templates
for the X Window System.

It is needed for the development and the compilation of X11 programs.

SuSE series: x

%package -n xxprt
Summary:      X Print Server
Group:        Hardware/Printing
Autoreqprov:  on

%description -n xxprt
Contains the X print server.

SuSE series: x

%package -n xfnt100
Summary:      100dpi screen fonts for the X-server
Group:        System/X11/Fonts
Provides:     XFree86-100dpi-fonts XFree86-ISO8859-2-100dpi-fonts fnt100_1 fnt100_2 xf100
Autoreqprov:  on

%description -n xfnt100
These fonts are compressed to save disk space.

SuSE series: x

%package -n xfntcyr
Summary:      Cyrillic fonts
Group:        System/X11/Fonts
Provides:     XFree86-cyrillic-fonts x312fcyr
Autoreqprov:  on

%description -n xfntcyr
These fonts are compressed to save disk space.

SuSE series: x

%package -n xfntscl
Summary:      Scalable fonts for X11
Group:        System/X11/Fonts
Provides:     x312fscl fntscl speedo x311fscl
Autoreqprov:  on

%description -n xfntscl
Speedo and Type 1 fonts for XFree86\tm.

SuSE series: x

%package -n km_drm
Summary:      DRM modules
Group:        Development/Sources
Autoreqprov:  on

%description -n km_drm
DRM modules

SuSE series: zkm

%ifarch i386
%package -n NVIDIA_GLX
Group:        System/Libraries
Provides:     nv_glx libgl libMesaGL.so.3
Requires:     NVIDIA_kernel 3ddiag
Autoreqprov:  on
Version:      0.8
Release:      424
Summary:      NVIDIA module for XFree86 4.0 X server and OpenGL libraries
Obsoletes:    nv_glx

%description -n NVIDIA_GLX
NVIDIA XFree86 4.0 server module and OpenGL 1.2 libraries for RIVA TNT/TNT2
and GeForce/Quadro based video cards.  Older RIVA 128 based video cards are
supported by the server module shipping with XFree86 4.0, nv_drv.o. You
should install this package if you have one of the newer cards.

You must also install the NVIDIA_kernel module if you want to utilize these
drivers.

Authors:
--------
    NVIDIA Corp.

SuSE series: x3d

%package -n NVIDIA_kernel
Group:        System/Kernel
Autoreqprov:  on
Version:      0.8
Release:      424
Summary:      NVIDIA kernel module for NVIDIA Architecture support

%description -n NVIDIA_kernel
NVIDIA Architecture support for Linux kernel 2.2.X/2.4.X

Authors:
--------
    NVIDIA Corp.

SuSE series: x3d

%endif
%package -n xf86driver-options
Group:        System/X11/Utilities
Obsoletes:    cardmods
Provides:     cardmods
Autoreqprov:  on
Summary:      XFree86 driver options for building SaX2

%description -n xf86driver-options
This package is only useful for building SaX2.

Authors:
--------
    Stefan Dirsch <sndirch@suse.de>

SuSE series: x

%package -n XFree86-compat-libs
Group:        System/Libraries
Autoreqprov:  on
Summary:      Compatibility shared libraries for XFree86

%description -n XFree86-compat-libs
This package contains the shared version of the libraries libXxf86vm, libXxf86dga, libXxf86misc and libXv for compatibility reasons.

Authors:
--------
    Alan Hourihane <alanh@fairlite.demon.co.uk>
    Bernhard Bender <br@elsa.mhs.compuserve.com>
    Craig Groeschel <craig@metrolink.com>
    David Dawes <dawes@XFree86.Org>
    David Wexelblat <dwex@XFree86.Org>
    Dirk Hohndel <hohndel@suse.de>
    Erik Nygren <nygren@mit.edu>
    Gertjan Akkerman <akkerman@dutiba.twi.tudelft.nl>
    Glenn Lai <glennlai@netcom.com>
    Hans Nasten <nasten@everyware.se>
    Harald Koenig <koenig@tat.physik.uni-tuebingen.de>
    Harm Hanemaayer <hhanemaa@cs.ruu.nl>
    Harry Langenbacher <harry@brain.jpl.nasa.gov>
    Henrik Harmsen <harmsen@eritel.se>
    Henry Worth <henry.worth@amail.amdahl.com>
    Jim Tsillas <jtsilla@ccs.neu.edu>
    Joe Moss <joe@morton.rain.com>
    Jon Block <block@frc.com>
    Jon Tombs <tombs@XFree86.org>
    Kevin Martin <martin@cs.unc.edu>
    Leonard N. Zubkoff <lnz@dandelion.com>
    Marc Evans <marc@XFree86.org>
    Marc La France <Marc.La-France@ualberta.ca>
    Michael Rohleder <michael.rohleder@stadt-frankfurt.de>
    Mike Hollick <hollick@graphics.cis.upenn.edu>
    Norbert Distler <Norbert.Distler@physik.tu-muenchen.de>
    Orest Zborowski <orestz@eskimo.com>
    Paolo Severini <lendl@dist.dist.unige.it>
    Pascal Haible <haible@izfm.uni-stuttgart.de>
    Peter Trattler <peter@sbox.tu-graz.ac.at>
    Rich Murphey <rich@XFree86.org>
    Rik Faith <faith@cs.unc.edu>
    Robin Cutsha <robin@XFree86.org>
    Simon Cooper <sc@sgi.com>
    Stuart Anderson <anderson@metrolink.com>

SuSE series: x

%ifarch armv4l mips
%define MODEXT so
%define MODEXT_A so
%else
%define MODEXT o
%define MODEXT_A a
%endif
%prep
%setup -q -n xc -b 20 -a 21
%patch
%patch1
%ifarch sparc sparc64
# !! disabled for now, should be adjusted by Thorsten when 4.2.0 is released !!
#%patch4
%endif
%ifarch ppc
tar xvjf $RPM_SOURCE_DIR/ppc-patches.tar.bz2
patch -p0 -s < xf86_ppc_japanes_kbd_fix-4.2.0.diff
%endif
%patch5
%patch6
cd programs/Xserver/hw/xfree86/os-support/linux/drm/kernel
%patch7
%patch24
cd -
%patch8
%patch9
%patch10
%patch11
%patch12
%patch13
%patch14
%patch15
%patch16
%patch17
%patch18
%patch19
%patch20
%patch21
%patch22
%patch23
%patch25
cd programs/lbxproxy/di
%patch26
cd -
%patch27
%ifarch armv4l
%patch710
%endif
#%patch820
%patch900
%patch1001
%patch1002
%patch1003 -p1
%patch1004 -p1
#
UTS_RELEASE="`uname -r`"
UTS_MAJOR=${UTS_RELEASE%%%%.*}
UTS_MINOR=`echo $UTS_RELEASE | sed 's/[0-9]\+\.\([0-9]\+\)\.[0-9]\+/\1/'`
UTS_TEENY=${UTS_RELEASE##*.}
cat << EOF > config/cf/host.def
#define LinuxDistribution	LinuxSuSE
#undef  OSVendor
#define OSVendor		SuSE
#undef  DefaultOSName
#define DefaultOSName		SuSE Linux
#ifndef DefaultOSMajorVersion
#define DefaultOSMajorVersion	${UTS_MAJOR}
#endif
#ifndef DefaultOSMinorVersion
#define DefaultOSMinorVersion	${UTS_MINOR}
#endif
#ifndef DefaultOSTeenyVersion
#define DefaultOSTeenyVersion	${UTS_TEENY}
#endif
#define LinuxElfDefault		YES
#ifdef  i386Architecture
#undef  DefaultGcc2i386Opt
#define DefaultGcc2i386Opt      $RPM_OPT_FLAGS
#endif
#ifdef  AlphaArchitecture
#undef  DefaultGcc2AxpOpt
#define DefaultGcc2AxpOpt	-O1
#endif
#undef  LibraryDebugOpt
#define UsePosix		YES
#define HasZlib			YES
#ifndef GzipLibrary
#define GzipLibrary		-lz
#endif
#define UseCCMakeDepend		YES
#define UseGccMakeDepend	YES
/* required for Loki's Erics Ultimate Solitaire */
#define UseInternalMalloc	NO
#define ForceNormalLib		YES
#define SharedLibXxf86vm        YES
#define SharedLibXxf86dga       YES
#define SharedLibXxf86misc      YES
#define SharedLibXv		YES
%ifarch i386
#define HasGlide2		YES
%endif
%ifarch i386 alpha
#define HasGlide3		YES
%endif
#define BuildXF86MiscExt        YES
/* later
#define JoystickSupport		YES
 */
%ifnarch sparc s390 s390x mips
#define UsbMouseSupport		YES
#define HasLibUsb		YES
%endif
#if defined AlphaArchitecture
#define HasXdmAuth		NO
#else
#define HasXdmAuth		YES
#endif
#define HasPam			YES
#define BuildXF86BigfontExt	NO
/* SuSE has its own XDM configuration */
#define InstallXdmConfig	NO
#define XdmDir			/etc/X11/xdm
#define InstallXinitConfig	YES
#define InstallFSConfig		YES
/* for XDM and anyone else for use */
#define DefaultUserPath		/usr/local/bin:/bin:/usr/bin:/usr/bin/X11:
#define DefaultSystemPath	/sbin:/usr/sbin:/bin:/usr/bin:/usr/bin/X11
/* FHS-2.1 */
#undef  VarDbDirectory
#define VarDbDirectory		/var/lib
#undef  XkbServerDefines
#define XkbServerDefines	-DXKM_OUTPUT_DIR=\"/var/lib/xkb/\"
%ifarch s390 s390x
#define BuildFontServer         YES
#define BuildServer             YES
/* the current Imakefiles in the font directories aren't ready for a font 
   server without a server */
#define DoLoadableServer        NO
%endif
/* Freetype2 Support */
#define HasFreetype2        	YES 
#define BuilderEMailAddr        "feedback@suse.de"
%ifarch i386
#define HaveMatroxHal           YES
%else
#define UseMatroxHal		NO
%endif
/* imstt not included in 4.2.0 */
%ifarch i386
#define DevelDrivers         imstt
%endif
%ifarch ppc
#define DevelDrivers            ati tdfx imstt
%endif
%ifarch alpha
#define XF86CardDrivers         mga glint nv tga s3virge sis rendition neomagic i740 tdfx siliconmotion cirrus tseng trident chips apm savage fbdev i128 ati vga fbdev ark
%endif
%ifarch mips
#define XF86CardDrivers		newport fbdev
#define MakeDllModules		YES
%endif
%ifarch armv4l
#define XF86CardDrivers		fbdev
#define MakeDllModules		YES
%endif
#define MesaUseMMX              NO
#define MesaUse3DNow            NO
#define MesaUseKatmai           NO
#define BuildPexExt  		NO
/* Mozilla 0.9.1 needs XIE */
#define BuildXIE    		YES
#define BuildXIElib 		YES
/* xterm uses utempter for utmp entry mgmt */
#define UseUtempter		YES
EOF
#
# Werner:
# - xterm configuration
#   * our app-defaults XTerm -> xterm-keybind.dif
#   * keyboards, ansi color  -> xterm-simple.patch
# - suid/sgid switch patch   -> xterm-privilege.patch
# - Unicode patch seems to be obsolate
#
cd programs/xterm/
    tar xfz $RPM_SOURCE_DIR/xterm-patches.tar.gz
    patch  -p0 -s --suffix=".sec"    < xterm-privilege.patch
    patch  -p0 -s --suffix=".key"    < xterm-keybind.dif
    patch  -p0 -s --suffix=".simple" < xterm-simple.patch
cd ../../
%ifarch ppc
cat  << EOF >> programs/xterm/XTerm.ad
!! Fix broken charClass, the doubleclick separators
*charClass:  33:48,37:48,43:48,45-47:48,64:48,126:48,95:48,58:48
EOF
%endif
#
%ifarch i386 alpha
( cd /usr/include
  rm -rf glide3
  tar xvzf $RPM_SOURCE_DIR/glide3headers.tar.gz 
  cd /usr/%{_lib}
  tar xvzf $RPM_SOURCE_DIR/glidelibs-%{_arch}.tar.gz
)
%endif
%ifarch i386
( cd programs/Xserver/hw/xfree86/drivers/mga
  tar xvzf $RPM_SOURCE_DIR/HALlib.tar.gz
)
( cd programs/Xserver/hw/xfree86/drivers
  mv vmware vmware.orig
  tar xvzf $RPM_SOURCE_DIR/vmware-010220.tar.gz 
  patch -p0 -s < $RPM_SOURCE_DIR/p_vmware.diff
  patch -p0 -s < $RPM_SOURCE_DIR/p_vmware-fix.diff
  cp vmware.orig/vmware.man vmware
  rm -rf vmware.orig
)
# i845 support
rm -rf programs/Xserver/hw/xfree86/drivers/i810
tar xvzf $RPM_SOURCE_DIR/i810.tar.gz
patch -p0 -s < $RPM_SOURCE_DIR/p_i845.diff
%endif

%build
umask 022
make World
( cd programs/Xserver/hw/xfree86/input
  rm -rf wacomusb
  cp -r wacom wacomusb
  cd wacomusb
  cp $RPM_SOURCE_DIR/xf86WacomUSB.c xf86Wacom.c
  make clean; make
)
%ifarch i386
( cd programs/Xserver/hw/xfree86/drivers
  rm -rf nvidia
  cp -r nv nvidia
  cd nvidia
  mkdir tmp
  cp nv_const.h nv_driver.c tmp
  sed 's/#define NV_NAME.*/#define NV_NAME "NVIDIA"/' tmp/nv_const.h | \
    sed 's/#define NV_DRIVER_NAME.*/#define NV_DRIVER_NAME "nvidia"/' > \
    nv_const.h
  sed 's/XF86ModuleData nvModuleData/XF86ModuleData nvidiaModuleData/' \
    tmp/nv_driver.c > nv_driver.c
  rm -rf tmp
  make clean; make
)
%endif
gcc -s -Wall -O2 -o suse/keygen suse/keygen.c
%ifarch alpha
( cd programs/twm
  mv Makefile Makefile.old
  sed s/\-O1//g Makefile.old > Makefile
  make clean; make
)
%endif
# we need to link statically libsupc++ inside of GLU since gcc >= 3.0
test -f /usr/%{_lib}/libsupc++.a && (
  cd lib/GLU
  rm -f libGLU.*
  mv Makefile Makefile.old
  sed 's/-lc/-lc -lsupc++/' Makefile.old > Makefile
  make
)
%ifarch ppc
# we need the -fPIC in shared objects, but only in .so files and .a
# files that will be used to link other libraries
# ugly, but who cares as long as it works
(
cd lib
echo $(find . -name "*.a" | grep -v module | cut -f 2 -d /)
for i in `find . -name "*.a" | grep -v module | cut -f 2 -d /` ; do
cd $i
pwd
rm -fv *.o
cp -av Makefile Makefile.without.fPIC
sed 's#-fsigned-char#-fsigned-char -fPIC#' < Makefile > Makefile.fPIC
mv -v Makefile.fPIC Makefile
cd ..
done
make
)
( cd lib/font
  make
)
%endif
# static libraries of Xvideo, DGA, Misc and Vidmode Extension must be compiled
# with '-fPIC' on IA64
%ifarch ia64
( cd lib
  for i in Xv Xxf86dga Xxf86misc Xxf86vm; do
    ( cd $i
      pwd
      rm -fv *.o
      cp -av Makefile Makefile.without.fPIC
      sed 's#-ansi#-ansi -fPIC#' < Makefile > Makefile.fPIC
      mv -v Makefile.fPIC Makefile
    )
  done
  make
)
%endif
# all programs should be linked statically against libXv and libXxf86*,
# shared libraries are only still there for compatibility reasons
( cd exports/lib
  mkdir tmp
  mv -f libXv.so* libXxf86dga.so* libXxf86misc.so* libXxf86vm.so* tmp
)
( cd programs
  for i in xdpyinfo xgamma xset xvidtune xvinfo; do
    ( cd $i; rm -f $i; make )
  done
  ( cd xf86dga; rm -f dga; make )
  ( cd Xserver/hw/xfree86/xf86cfg; rm -f xf86cfg; make )
)
( cd exports/lib
  mv -f tmp/* .
)

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/%{_lib}
make install DESTDIR=$RPM_BUILD_ROOT
make install.man DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
mv $RPM_BUILD_ROOT/etc/X11/app-defaults \
 $RPM_BUILD_ROOT/usr/X11R6/lib/X11
( cd $RPM_BUILD_ROOT/usr/X11R6/lib/X11/config
  echo "#define UseSeparateConfDir NO" >> host.def
  echo "#define BuildHtmlManPages NO" >> host.def
)
%ifarch i386
ln -snf  /usr/%{_lib}/libglide2x.so $RPM_BUILD_ROOT/usr/X11R6/lib/modules/libglide2x.so
%endif
ln -snf /usr/X11R6/include/X11 $RPM_BUILD_ROOT/usr/include/X11
ln -snf X11R6 $RPM_BUILD_ROOT/usr/X11
mkdir $RPM_BUILD_ROOT/usr/bin
ln -snf ../X11R6/bin $RPM_BUILD_ROOT/usr/bin/X11
ln -snf ../X11R6/bin/xterm $RPM_BUILD_ROOT/usr/bin/xterm
mkdir -p $RPM_BUILD_ROOT/etc/X11/xdm
( cd $RPM_BUILD_ROOT/etc/X11/xdm
  rm -f README
  rm -f GiveConsole TakeConsole Xsetup_0 # Not used anymore by SuSE
  rm -f authdir                          # Correct location (FHS-2.1)
  tar xzf $RPM_SOURCE_DIR/xdm.tar.gz     # SuSE default XDM configuration
  mkdir -p   $RPM_BUILD_ROOT/var/lib/xdm/authdir/authfiles
  chmod 0700 $RPM_BUILD_ROOT/var/lib/xdm/authdir/authfiles
  chmod 0700 $RPM_BUILD_ROOT/var/lib/xdm/authdir
  ln -snf /var/lib/xdm/authdir .
  ln -snf /var/log/xdm.errors xdm-errors
  ln -snf /var/run/xdm.pid    xdm-pid
)
( cd $RPM_BUILD_ROOT/usr/X11R6/lib
  rm -f libz*
  mkdir GL
  mv libGL.so.1.2 GL/libGL.so.1.2.xf86_glx
%ifarch i386
  cp -a GL/libGL.so.1.2.xf86_glx GL/libGL.so.1.2.nv_glx
%endif
  rm -f libGL.so libGL.so.1; ln -snf GL/libGL.so.1.2.xf86_glx libGL.so
  ln -snf libGL.so libMesaGL.so
  test -f libGL.a && ln -snf libGL.a libMesaGL.a
  test -f libGL.la && ln -snf libGL.la libMesaGL.la
  mv GL libGL.* libMesaGL.* ../../%{_lib}
)
( cd $RPM_BUILD_ROOT/usr/X11R6/lib/modules/extensions
  mv libGLcore.%{MODEXT_A} libGLcore.%{MODEXT_A}.xf86_glx
  mv libglx.%{MODEXT_A} libglx.%{MODEXT_A}.xf86_glx
%ifarch i386
  cp -a libGLcore.a.xf86_glx libGLcore.a.nv_glx
  cp -a libglx.a.xf86_glx libglx.a.nv_glx 
%endif
) 
mkdir -p $RPM_BUILD_ROOT/usr/include
XROOT=$RPM_BUILD_ROOT/usr/X11R6
mkdir -p $XROOT/lib/X11/nls
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -m 0444 suse/C                   $XROOT/lib/X11/nls/
install -m 0444 suse/nls.dir             $XROOT/lib/X11/nls/
install -m 0711 suse/keygen              $RPM_BUILD_ROOT/usr/bin/
install -m 0755 suse/sux                 $XROOT/bin/
install -m 0644 suse/xdm.pamd            $RPM_BUILD_ROOT/etc/pam.d/xdm
%ifarch ppc
#install -m 0444 suse/Xmodmap.ppc         $RPM_BUILD_ROOT/etc/X11/Xmodmap
touch $RPM_BUILD_ROOT/etc/X11/Xmodmap
chmod 0444 $RPM_BUILD_ROOT/etc/X11/Xmodmap
%else
%ifarch sparc sparc64
install -m 0444 suse/Xmodmap.sparc       $RPM_BUILD_ROOT/etc/X11/Xmodmap
%else
install -m 0444 suse/Xmodmap.i386        $RPM_BUILD_ROOT/etc/X11/Xmodmap
%endif
%endif
install -m 0444 suse/Xmodmap.remote      $RPM_BUILD_ROOT/etc/X11/
install -m 0444 suse/Xresources          $XROOT/lib/X11/
install -m 0755 suse/Backarrow2BackSpace $XROOT/bin/
install -m 0755 suse/Backarrow2Delete    $XROOT/bin/
touch $XROOT/lib/X11/Xmodmap $XROOT/lib/X11/Xmodmap.remote
%ifnarch s390 s390x
# driver options file
chmod 755 ${RPM_SOURCE_DIR}/driver_options.sh
${RPM_SOURCE_DIR}/driver_options.sh|sort > $RPM_BUILD_ROOT/etc/X11/CardModules.new
mv $RPM_BUILD_ROOT/usr/X11R6/bin/xinit $RPM_BUILD_ROOT/usr/X11R6/bin/xinit4
mv $RPM_BUILD_ROOT/usr/X11R6/bin/xf86config \
   $RPM_BUILD_ROOT/usr/X11R6/bin/xf86config4
install -m 755 ${RPM_SOURCE_DIR}/switch2xf86-3x $RPM_BUILD_ROOT/usr/X11R6/bin
ln -snf switch2xf86-3x $RPM_BUILD_ROOT/usr/X11R6/bin/switch2xf86-4
%endif
# km_drm package
mkdir -p $RPM_BUILD_ROOT/usr/src/kernel-modules/drm
rm -rf programs/Xserver/hw/xfree86/os-support/linux/drm/kernel/CVS
install -m 644 programs/Xserver/hw/xfree86/os-support/linux/drm/kernel/* \
  $RPM_BUILD_ROOT/usr/src/kernel-modules/drm
install -m 644 $RPM_SOURCE_DIR/Makefile.module \
  $RPM_BUILD_ROOT/usr/src/kernel-modules/drm
mkdir -p $RPM_BUILD_ROOT/var/X11R6/xkb/compiled
mkdir -p $RPM_BUILD_ROOT/var/X11R6/bin
install -m 644 programs/Xserver/hw/xfree86/doc/man/XF86DGA.man \
  $RPM_BUILD_ROOT/usr/X11R6/man/man3/XF86DGA.3x
install -m 644 programs/Xserver/hw/xfree86/doc/man/XF86Misc.man \
  $RPM_BUILD_ROOT/usr/X11R6/man/man3/XF86Misc.3x
install -m 644 programs/Xserver/hw/xfree86/doc/man/XF86VM.man \
  $RPM_BUILD_ROOT/usr/X11R6/man/man3/XF86VM.3x
( cd $RPM_BUILD_ROOT/usr/X11R6/man/man3
  echo ".so man3/XF86DGA.3x" > XF86DGAQueryExtension.3x
  echo ".so man3/XF86DGA.3x" > XF86DGAQueryVersion.3x
  echo ".so man3/XF86DGA.3x" > XF86DGAQueryDirectVideo.3x
  echo ".so man3/XF86DGA.3x" > XF86DGAGetVideo.3x
  echo ".so man3/XF86DGA.3x" > XF86DGADirectVideo.3x
  echo ".so man3/XF86DGA.3x" > XF86DGASetVidPage.3x
  echo ".so man3/XF86DGA.3x" > XF86DGASetViewPort.3x
  echo ".so man3/XF86DGA.3x" > XF86DGAViewPortChanged.3x
  echo ".so man3/XF86DGA.3x" > XF86DGAGetViewPortSize.3x
  echo ".so man3/XF86DGA.3x" > XF86DGAInstallColormap.3x
  echo ".so man3/XF86DGA.3x" > XF86DGAForkApp.3x
  echo ".so man3/XF86Misc.3x" > XF86MiscQueryExtension.3x
  echo ".so man3/XF86Misc.3x" > XF86MiscQueryVersion.3x
  echo ".so man3/XF86Misc.3x" > XF86MiscGetMouseSettings.3x
  echo ".so man3/XF86Misc.3x" > XF86MiscSetMouseSettings.3x
  echo ".so man3/XF86Misc.3x" > XF86MiscGetKbdSettings.3x
  echo ".so man3/XF86Misc.3x" > XF86MiscSetKbdSettings.3x
  echo ".so man3/XF86VM.3x" > XF86VidModeQueryExtension.3x
  echo ".so man3/XF86VM.3x" > XF86VidModeQueryVersion.3x
  echo ".so man3/XF86VM.3x" > XF86VidModeGetModeLine.3x
  echo ".so man3/XF86VM.3x" > XF86VidModeGetAllModeLines.3x
  echo ".so man3/XF86VM.3x" > XF86VidModeDeleteModeLine.3x
  echo ".so man3/XF86VM.3x" > XF86VidModeModModeLine.3x
  echo ".so man3/XF86VM.3x" > XF86VidModeValidateModeLine.3x
  echo ".so man3/XF86VM.3x" > XF86VidModeSwitchMode.3x
  echo ".so man3/XF86VM.3x" > XF86VidModeSwitchToMode.3x
  echo ".so man3/XF86VM.3x" > XF86VidModeLockModeSwitch.3x
  echo ".so man3/XF86VM.3x" > XF86VidModeGetMonitor.3x
  echo ".so man3/XF86VM.3x" > XF86VidModeGetViewPort.3x
  echo ".so man3/XF86VM.3x" > XF86VidModeSetViewPort.3x
)
%ifnarch s390 s390x
rm -f $RPM_BUILD_ROOT/usr/X11R6/bin/X
ln -snf /var/X11R6/bin/X $RPM_BUILD_ROOT/usr/X11R6/bin/X
%endif
mkdir -p $RPM_BUILD_ROOT/etc/X11/xserver
rm -rf `find programs/Xserver/XpConfig/ -name CVS`
cp -ar programs/Xserver/XpConfig/C $RPM_BUILD_ROOT/etc/X11/xserver
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/packages/xxprt
cp -a programs/Xserver/XpConfig/README \
  $RPM_BUILD_ROOT/usr/share/doc/packages/xxprt
test -L $RPM_BUILD_ROOT/usr/include/GL && rm -f $RPM_BUILD_ROOT/usr/include/GL
mkdir -p $RPM_BUILD_ROOT/usr/include/GL
mv $RPM_BUILD_ROOT/usr/X11R6/include/GL/* $RPM_BUILD_ROOT/usr/include/GL
mv $RPM_BUILD_ROOT/usr/include/GL/GLw*.h $RPM_BUILD_ROOT/usr/X11R6/include/GL
test -f $RPM_BUILD_ROOT/usr/include/GL/glxext.h || \
  cp programs/Xserver/GL/glx/glxext.h $RPM_BUILD_ROOT/usr/include/GL
install -m 755 ${RPM_SOURCE_DIR}/switch2xf86_glx $RPM_BUILD_ROOT/usr/X11R6/bin
%ifarch i386
install -m 755 ${RPM_SOURCE_DIR}/switch2nvidia_glx $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/packages/NVIDIA_GLX
touch $RPM_BUILD_ROOT/usr/share/doc/packages/NVIDIA_GLX/Dummy
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/packages/NVIDIA_kernel
touch $RPM_BUILD_ROOT/usr/share/doc/packages/NVIDIA_kernel/Dummy
%endif
%ifnarch s390 s390x
cp $RPM_SOURCE_DIR/xserverrc $RPM_BUILD_ROOT/etc/X11/xinit/xserverrc
ln -snf /var/lib/xkb $RPM_BUILD_ROOT/etc/X11/xkb/compiled
%endif
%ifarch s390 s390x
if test ! -d $RPM_BUILD_ROOT/etc/X11/xkb; then
  rm -rf $RPM_BUILD_ROOT/etc/X11/xkb
  test -d $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xkb && \
    mv $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xkb $RPM_BUILD_ROOT/etc/X11
fi
%endif
#xkbcomp already in /usr/X11R6/bin
ln -snf /usr/X11R6/bin/xkbcomp $RPM_BUILD_ROOT/etc/X11/xkb/xkbcomp
%ifnarch s390 s390x mips
cp programs/Xserver/hw/xfree86/input/wacomusb/wacom_drv.%{MODEXT} \
  $RPM_BUILD_ROOT/usr/X11R6/lib/modules/input/graphireusb_drv.%{MODEXT}
chmod 755 $RPM_BUILD_ROOT/usr/X11R6/lib/modules/input/graphireusb_drv.%{MODEXT}
%endif
%ifarch i386
cp programs/Xserver/hw/xfree86/drivers/nvidia/nv_drv.o \
  $RPM_BUILD_ROOT/usr/X11R6/lib/modules/drivers/nvidia_drv.o
chmod 755 $RPM_BUILD_ROOT/usr/X11R6/lib/modules/drivers/nvidia_drv.o
%endif
awk -f ${RPM_SOURCE_DIR}/locale.awk < \
  $RPM_BUILD_ROOT/usr/X11R6/lib/X11/locale/locale.alias > \
  locale.alias.tmp
mv locale.alias.tmp $RPM_BUILD_ROOT/usr/X11R6/lib/X11/locale/locale.alias
%ifarch sparc sparc64
#
# Hack for SPARC: Rename fbdev_drv.o on SPARC or YaST2 will fail
#
mv $RPM_BUILD_ROOT/usr/X11R6/lib/modules/drivers/fbdev_drv.o $RPM_BUILD_ROOT/usr/X11R6/lib/modules/drivers/fbdev_drv.o.problematic
%endif
# install xfs start script and config file:
mkdir -p -m 755 $RPM_BUILD_ROOT/etc/init.d
install -m 755 $RPM_SOURCE_DIR/rcxfs $RPM_BUILD_ROOT/etc/init.d/xfs
mkdir -p -m 755 $RPM_BUILD_ROOT/usr/sbin
ln -snf ../../etc/init.d/xfs $RPM_BUILD_ROOT/usr/sbin/rcxfs
mkdir -p -m 755 $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 $RPM_SOURCE_DIR/config.xfs $RPM_BUILD_ROOT/etc/X11/fs/config
mkdir -p -m 755 $RPM_BUILD_ROOT/sbin/conf.d
install -m 755 $RPM_SOURCE_DIR/SuSEconfig.xdm $RPM_BUILD_ROOT/sbin/conf.d/
# creating ghosts
for i in fs lbxproxy proxymngr rstart twm xdm xinit xserver xsm xkb XftConfig;do
  rm -f $RPM_BUILD_ROOT/usr/X11R6/lib/X11/$i
done
cp -ar $RPM_BUILD_ROOT/etc/X11/* $RPM_BUILD_ROOT/usr/X11R6/lib/X11
rm -f $RPM_BUILD_ROOT/usr/X11R6/lib/X11/CardModules.new
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/packages
ln -snf /usr/X11R6/lib/X11/doc/ $RPM_BUILD_ROOT/usr/share/doc/packages/xf86
install -m 755 $RPM_SOURCE_DIR/startx $RPM_BUILD_ROOT/usr/X11R6/bin
%ifarch i386 alpha
( cd $RPM_BUILD_ROOT/usr/%{_lib}
  tar xvzf $RPM_SOURCE_DIR/glidelibs-%{_arch}.tar.gz
)
( mkdir -p $RPM_BUILD_ROOT/etc/profile.d 
  cd $RPM_BUILD_ROOT/etc/profile.d
  tar xvzf $RPM_SOURCE_DIR/glide_profiles.tar.gz
) 
%endif
# XftConfig is now located in package xf86tools
rm -f $RPM_BUILD_ROOT/etc/X11/XftConfig 
rm -f $RPM_BUILD_ROOT/usr/X11R6/lib/X11/XftConfig
# fonts.scale are created dynamically by /sbin/conf.d/SuSEconfig.fonts
for i in CID Speedo TTF Type1; do
  ( grep -v "^[[:digit:]]*$" \
      $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/$i/fonts.scale > \
      $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/$i/fonts.scale.xf86
  )
  rm -f $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/$i/fonts.scale
done
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype
mv $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/TTF/* \
  $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype
# some compatibility keyboard layout links
( cd $RPM_BUILD_ROOT/etc/X11/xkb/symbols
  ln -snf cz cs
  ln -snf cz_qwerty cs_qwerty
  ln -snf el gr
)

%pre -n xf86
for i in fs lbxproxy proxymngr rstart twm xdm xinit xserver xsm xkb; do
  rm -rf usr/X11R6/lib/X11/{$i,$i.old}
done
for i in Xmodmap Xmodmap.remote; do
  rm -f usr/X11R6/lib/X11/{$i,$i.old}
  test -L usr/X11R6/lib/X11/$i.rpmsave && rm -f usr/X11R6/lib/X11/$i.rpmsave
done
test -L usr/X11R6/lib/X11/app-defaults && rm -f usr/X11R6/lib/X11/app-defaults
rm -rf usr/X11R6/lib/X11/app-defaults.old
rm -rf etc/X11/app-defaults
exit 0

%post -n xf86
for i in fs lbxproxy proxymngr rstart twm xdm xinit xserver xsm xkb; do
  ln -snf ../../../../etc/X11/$i usr/X11R6/lib/X11/$i
done
for i in Xmodmap Xmodmap.remote; do
  ln -snf  ../../../../etc/X11/$i usr/X11R6/lib/X11/$i
done
# Create symbolic run level links for xfs start script:
%{fillup_and_insserv -p xfs}
if [ -f etc/X11/XF86Config ]; then
  tmpfile=`mktemp /tmp/XF86Config.XXXXXXXXXX`
  for i in misc 75dpi 100dpi; do
    grep "/usr/X11R6/lib/X11/fonts/$i:unscaled" etc/X11/XF86Config > /dev/null 2>&1
    if [ $? -eq 0 ]; then
      grep -v "/usr/X11R6/lib/X11/fonts/$i/*\"" etc/X11/XF86Config \
        > $tmpfile && \
      cp $tmpfile etc/X11/XF86Config
    fi
  done
  rm -f $tmpfile
fi
exit 0

%postun -n xf86
# Rearrange run level symlinks after removing the xfs init script
%{insserv_cleanup}
# do nothing if this is an update, otherwise delete symbolic links
if test ! -f usr/X11R6/lib/X11/doc/DESIGN; then
  for i in fs lbxproxy proxymngr rstart twm xdm xinit xserver xsm xkb; do
    ls usr/X11R6/lib/X11/$i/* &> /dev/null || rm -f usr/X11R6/lib/X11/$i
  done 
  for i in Xmodmap Xmodmap.remote; do
    test -f etc/X11/$i || rm -f usr/X11R6/lib/X11/$i
  done
fi
exit 0
# XServer stuff does not make any sense for S/390
%ifnarch s390 s390x

%post -n xloader
test -L usr/X11R6/bin/xinit || usr/X11R6/bin/switch2xf86-4
test -L usr/X11R6/bin/xf86config || usr/X11R6/bin/switch2xf86-4
exit 0

%preun -n xf86_glx
cp -a usr/X11R6/bin/switch2xf86_glx usr/X11R6/bin/switch2xf86_glx.tmp
exit 0
 

%postun -n xf86_glx
test -f usr/X11R6/bin/switch2xf86_glx || \
  usr/X11R6/bin/switch2xf86_glx.tmp -removelinks
rm -f usr/X11R6/bin/switch2xf86_glx.tmp
exit 0 
%endif
%ifarch i386

%post -n NVIDIA_GLX
mkdir -p var/adm/notify/messages
cat << EOF > var/adm/notify/messages/NVIDIA_GLX
Due to license issues the package NVIDIA_GLX does not contain the
official nVidia 2D/3D driver. It contains the XFree86 'nv' driver/GLX
extension. This means 3D/OpenGL Software Rendering. If you want to use
3D hardware support please update to the official nVidia 2D/3D driver
either with YOU (YaST2 Online Update) or download the package
NVIDIA_GLX for SuSE Linux 8.0 from the nVidia webserver:
http://www.nvidia.com.
EOF
exit 0

%preun -n NVIDIA_GLX
cp -a usr/X11R6/bin/switch2nvidia_glx usr/X11R6/bin/switch2nvidia_glx.tmp
exit 0

%postun -n NVIDIA_GLX
test -f usr/X11R6/bin/switch2nvidia_glx || \
  usr/X11R6/bin/switch2nvidia_glx.tmp -removelinks
rm -f usr/X11R6/bin/switch2nvidia_glx.tmp
exit 0 

%post -n NVIDIA_kernel
mkdir -p var/adm/notify/messages
cat << EOF > var/adm/notify/messages/NVIDIA_kernel
Due to license issues the package NVIDIA_kernel does not contain the
official nVidia kernel module. It's just a dummy package. If you want
to use 3D hardware support please update to the official nVidia kernel
module either with YOU (YaST2 Online Update) or download the package
NVIDIA_kernel for SuSE Linux 8.0 from the nVidia webserver:
http://www.nvidia.com.
EOF
exit 0
%endif

%files -n xf86
%defattr(-, root, root)
%dir /var/lib/
%dir /var/lib/xkb/
%dir /var/lib/xdm/
%dir /var/X11R6/xkb/compiled/
%dir /var/X11R6/bin/
%dir /usr/X11R6/bin/
%dir /usr/X11R6/include/X11/
%dir /usr/X11R6/lib/X11/app-defaults
%dir /usr/X11R6/lib/X11/fonts/
%dir /usr/X11R6/lib/X11/fonts/truetype
#%dir /usr/X11R6/lib/X11/fonts/ucs
%dir /usr/X11R6/lib/X11/nls/
%config /etc/pam.d/xdm
%config %dir /etc/X11/
%config /etc/X11/Xmodmap
%config /etc/X11/Xmodmap.remote
%config /etc/X11/fs/
%config /etc/X11/lbxproxy/
%config /etc/X11/proxymngr/
%config /etc/X11/rstart/
%config /etc/X11/twm/
%config /etc/X11/xdm/
%ifnarch s390 s390x
%config /etc/X11/xinit/
%endif
%config /etc/X11/xkb/
%config %dir /etc/X11/xserver/
%config %dir /etc/X11/xserver/C/
%config /etc/X11/xserver/SecurityPolicy
%config /etc/X11/xsm/
/etc/init.d/xfs
/usr/sbin/rcxfs
/sbin/conf.d/SuSEconfig.xdm
/usr/X11
/usr/bin/X11
/usr/bin/xterm
/usr/bin/keygen
/usr/X11R6/bin/showrgb
%ifnarch s390 s390x
/usr/X11R6/bin/X
/usr/X11R6/bin/pcitweak
/usr/X11R6/bin/xf86cfg
/usr/X11R6/bin/switch2xf86-*
%endif
/usr/X11R6/bin/Xmark
/usr/X11R6/bin/appres
/usr/X11R6/bin/atobm
/usr/X11R6/bin/bdftopcf
/usr/X11R6/bin/bdftruncate.pl
/usr/X11R6/bin/beforelight
/usr/X11R6/bin/bitmap
/usr/X11R6/bin/bmtoa
/usr/X11R6/bin/ccmakedep
/usr/X11R6/bin/cleanlinks
/usr/X11R6/bin/cxpm
/usr/X11R6/bin/dga
/usr/X11R6/bin/dpsexec
/usr/X11R6/bin/dpsinfo
/usr/X11R6/bin/editres
/usr/X11R6/bin/fslsfonts
/usr/X11R6/bin/fstobdf
/usr/X11R6/bin/gccmakedep
/usr/X11R6/bin/glxgears 
/usr/X11R6/bin/glxinfo
/usr/X11R6/bin/iceauth
/usr/X11R6/bin/ico
/usr/X11R6/bin/imake
/usr/X11R6/bin/lbxproxy
/usr/X11R6/bin/listres
/usr/X11R6/bin/lndir
/usr/X11R6/bin/luit
/usr/X11R6/bin/makedepend
/usr/X11R6/bin/makeg
/usr/X11R6/bin/makepsres
/usr/X11R6/bin/makestrs
/usr/X11R6/bin/mergelib
/usr/X11R6/bin/mkcfm
/usr/X11R6/bin/mkdirhier
/usr/X11R6/bin/mkfontdir
/usr/X11R6/bin/mkhtmlindex
/usr/X11R6/bin/oclock
/usr/X11R6/bin/proxymngr
/usr/X11R6/bin/pswrap
/usr/X11R6/bin/resize
/usr/X11R6/bin/revpath
/usr/X11R6/bin/rman
/usr/X11R6/bin/rstart
/usr/X11R6/bin/rstartd
%ifnarch ppc s390 s390x mips
/usr/X11R6/bin/scanpci
%endif
/usr/X11R6/bin/sessreg
/usr/X11R6/bin/setxkbmap
/usr/X11R6/bin/showfont
/usr/X11R6/bin/smproxy
/usr/X11R6/bin/startx
/usr/X11R6/bin/sux
/usr/X11R6/bin/sxpm
/usr/X11R6/bin/texteroids
/usr/X11R6/bin/twm
/usr/X11R6/bin/ucs2any.pl
/usr/X11R6/bin/uxterm
/usr/X11R6/bin/viewres
/usr/X11R6/bin/x11perf
/usr/X11R6/bin/x11perfcomp
/usr/X11R6/bin/xbiff
/usr/X11R6/bin/xcalc
/usr/X11R6/bin/xclipboard
/usr/X11R6/bin/xclock
/usr/X11R6/bin/xcmsdb
/usr/X11R6/bin/xconsole
/usr/X11R6/bin/xcutsel
/usr/X11R6/bin/xditview
/usr/X11R6/bin/xdm
/usr/X11R6/bin/xdpyinfo
/usr/X11R6/bin/xedit
/usr/X11R6/bin/xev
/usr/X11R6/bin/xeyes
/usr/X11R6/bin/xfd
/usr/X11R6/bin/xfindproxy
/usr/X11R6/bin/xfontsel
/usr/X11R6/bin/xfs
/usr/X11R6/bin/xfsinfo
/usr/X11R6/bin/xftcache
/usr/X11R6/bin/xfwp
/usr/X11R6/bin/xgamma
/usr/X11R6/bin/xgc
/usr/X11R6/bin/xhost
/usr/X11R6/bin/xieperf
/usr/X11R6/bin/xkbbell
/usr/X11R6/bin/xkbcomp
/usr/X11R6/bin/xkbevd
/usr/X11R6/bin/xkbprint
/usr/X11R6/bin/xkbvleds
/usr/X11R6/bin/xkbwatch
/usr/X11R6/bin/xkill
/usr/X11R6/bin/xload
/usr/X11R6/bin/xlogo
/usr/X11R6/bin/xlsatoms
/usr/X11R6/bin/xlsclients
/usr/X11R6/bin/xlsfonts
/usr/X11R6/bin/xmag
/usr/X11R6/bin/xman
/usr/X11R6/bin/xmessage
/usr/X11R6/bin/xmh
/usr/X11R6/bin/xmkmf
/usr/X11R6/bin/xmodmap
/usr/X11R6/bin/xon
/usr/X11R6/bin/xprop
/usr/X11R6/bin/xrandr
/usr/X11R6/bin/xrdb
/usr/X11R6/bin/xrefresh
/usr/X11R6/bin/xset
/usr/X11R6/bin/xsetmode
/usr/X11R6/bin/xsetpointer
/usr/X11R6/bin/xsetroot
/usr/X11R6/bin/xsm
/usr/X11R6/bin/xstdcmap
%attr(555,root,root) /usr/X11R6/bin/xterm
/usr/X11R6/bin/xtrapchar
/usr/X11R6/bin/xtrapin
/usr/X11R6/bin/xtrapinfo
/usr/X11R6/bin/xtrapout
/usr/X11R6/bin/xtrapproto
/usr/X11R6/bin/xtrapreset
/usr/X11R6/bin/xtrapstats
/usr/X11R6/bin/xvidtune
/usr/X11R6/bin/xvinfo
/usr/X11R6/bin/xwd
/usr/X11R6/bin/xwininfo
/usr/X11R6/bin/xwud
/usr/X11R6/bin/Backarrow2BackSpace
/usr/X11R6/bin/Backarrow2Delete
/usr/X11R6/include/X11/bitmaps/
%config /usr/X11R6/lib/X11/app-defaults/*
/usr/X11R6/lib/X11/XErrorDB
/usr/X11R6/lib/X11/XKeysymDB
%ghost /usr/X11R6/lib/X11/Xmodmap
%ghost /usr/X11R6/lib/X11/Xmodmap.remote    
%config /usr/X11R6/lib/X11/Xresources
/usr/X11R6/lib/X11/locale/
/usr/X11R6/lib/X11/nls/C
/usr/X11R6/lib/X11/nls/nls.dir
/usr/X11R6/lib/X11/etc/
/usr/X11R6/lib/X11/rgb.txt
%ifnarch s390 s390x
/usr/X11R6/lib/X11/XF86Config.eg
/usr/X11R6/lib/X11/XF86Config.98
/usr/X11R6/lib/X11/Cards
/usr/X11R6/lib/X11/Options
%endif
/usr/X11R6/lib/X11/x11perfcomp/
/usr/X11R6/lib/X11/xman.help
/usr/X11R6/lib/X11/fonts/encodings/
/usr/X11R6/lib/X11/fonts/util/
/usr/X11R6/lib/X11/fonts/75dpi/
#/usr/X11R6/lib/X11/fonts/ucs/75dpi/
/usr/X11R6/lib/X11/fonts/misc/
#/usr/X11R6/lib/X11/fonts/ucs/misc/
/usr/X11R6/lib/X11/fonts/CID/
/usr/X11R6/lib/X11/fonts/local/
/usr/X11R6/lib/X11/xedit/
#ghost entries
%ghost %dir /usr/X11R6/lib/X11/fs/
%ghost /usr/X11R6/lib/X11/fs/*
%ghost %dir /usr/X11R6/lib/X11/lbxproxy/
%ghost /usr/X11R6/lib/X11/lbxproxy/*
%ghost %dir  /usr/X11R6/lib/X11/proxymngr/
%ghost /usr/X11R6/lib/X11/proxymngr/*
%ghost %dir /usr/X11R6/lib/X11/rstart/
%ghost /usr/X11R6/lib/X11/rstart/*
%ghost %dir /usr/X11R6/lib/X11/twm/
%ghost /usr/X11R6/lib/X11/twm/*
%ghost %dir /usr/X11R6/lib/X11/xdm/
%ghost /usr/X11R6/lib/X11/xdm/*
%ifnarch s390 s390x
%ghost %dir /usr/X11R6/lib/X11/xinit/
%ghost /usr/X11R6/lib/X11/xinit/*
%endif
%ghost %dir /usr/X11R6/lib/X11/xserver/
%ghost %dir /usr/X11R6/lib/X11/xserver/C/
%ghost /usr/X11R6/lib/X11/xserver/SecurityPolicy
%ghost %dir /usr/X11R6/lib/X11/xsm/
%ghost /usr/X11R6/lib/X11/xsm/*
%ghost %dir /usr/X11R6/lib/X11/xkb/
%ghost /usr/X11R6/lib/X11/xkb/*
%doc /usr/X11R6/lib/X11/doc/
/usr/share/doc/packages/xf86
/var/lib/xdm/authdir/
/var/lib/xkb/README
%ifnarch s390 s390x
/usr/X11R6/include/X11/pixmaps/
%endif
# XServer stuff does not make any sense for S/390
%ifnarch s390 s390x

%files -n xloader
%defattr(-, root, root)
/usr/X11R6/bin/xinit4
/usr/X11R6/bin/XFree86
/usr/X11R6/bin/xf86config4
%endif

%files -n xshared
%defattr(-, root, root)
/usr/X11R6/bin/xauth
/usr/X11R6/%{_lib}/libICE.so.6
/usr/X11R6/%{_lib}/libICE.so.6.3
/usr/X11R6/%{_lib}/libXIE.so.6*
/usr/X11R6/%{_lib}/libXTrap.so.6
/usr/X11R6/%{_lib}/libXTrap.so.6.4
/usr/X11R6/%{_lib}/libSM.so.6
/usr/X11R6/%{_lib}/libSM.so.6.0
/usr/X11R6/%{_lib}/libX11.so.6
/usr/X11R6/%{_lib}/libX11.so.6.2
/usr/X11R6/%{_lib}/libXaw.so.6
/usr/X11R6/%{_lib}/libXaw.so.6.1
/usr/X11R6/%{_lib}/libXaw.so.7
/usr/X11R6/%{_lib}/libXaw.so.7.0
/usr/X11R6/%{_lib}/libXext.so.6
/usr/X11R6/%{_lib}/libXext.so.6.4
/usr/X11R6/%{_lib}/libXfont.so.1
/usr/X11R6/%{_lib}/libXfont.so.1.4
/usr/X11R6/%{_lib}/libXft.so.1
/usr/X11R6/%{_lib}/libXft.so.1.1
/usr/X11R6/%{_lib}/libXi.so.6
/usr/X11R6/%{_lib}/libXi.so.6.0
/usr/X11R6/%{_lib}/libXmu.so.6
/usr/X11R6/%{_lib}/libXmu.so.6.2
/usr/X11R6/%{_lib}/libXmuu.so.1
/usr/X11R6/%{_lib}/libXmuu.so.1.0
/usr/X11R6/%{_lib}/libXp.so.6
/usr/X11R6/%{_lib}/libXp.so.6.2
/usr/X11R6/%{_lib}/libXpm.so.4
/usr/X11R6/%{_lib}/libXpm.so.4.11
/usr/X11R6/%{_lib}/libXrandr.so.1
/usr/X11R6/%{_lib}/libXrandr.so.1.0
/usr/X11R6/%{_lib}/libXt.so.6
/usr/X11R6/%{_lib}/libXt.so.6.0
/usr/X11R6/%{_lib}/libXtst.so.6
/usr/X11R6/%{_lib}/libXtst.so.6.1
/usr/X11R6/%{_lib}/libdps.so.1
/usr/X11R6/%{_lib}/libdps.so.1.0
/usr/X11R6/%{_lib}/libdpstk.so.1
/usr/X11R6/%{_lib}/libdpstk.so.1.0
/usr/X11R6/%{_lib}/libpsres.so.1
/usr/X11R6/%{_lib}/libpsres.so.1.0
/usr/X11R6/%{_lib}/libXrender.so.1
/usr/X11R6/%{_lib}/libXrender.so.1.1
/usr/X11R6/%{_lib}/libxrx.so.6
/usr/X11R6/%{_lib}/libxrx.so.6.3

%files -n xman
%defattr(-, root, root)
%doc /usr/X11R6/man/man[1457]
%doc /usr/X11R6/man/man3/[A-FH-Za-z]*
# Xserver stuff does not make any sense for S/390
%ifnarch s390 s390x

%files -n xmodules
%defattr(-, root, root)
%dir /usr/X11R6/lib/modules
/usr/X11R6/lib/modules/codeconv/
%ifarch i386 ia64 sparc sparc64 ppc alpha
/usr/X11R6/lib/modules/dri
%endif
%ifarch mips
/usr/X11R6/lib/X11/XF86Config.indy
%endif
%ifnarch i386
/usr/X11R6/lib/modules/drivers/
%else
%dir /usr/X11R6/lib/modules/drivers
/usr/X11R6/lib/modules/drivers/apm_drv.o
/usr/X11R6/lib/modules/drivers/ark_drv.o
/usr/X11R6/lib/modules/drivers/ati_drv.o
/usr/X11R6/lib/modules/drivers/atimisc_drv.o
/usr/X11R6/lib/modules/drivers/chips_drv.o
/usr/X11R6/lib/modules/drivers/cirrus_alpine.o
/usr/X11R6/lib/modules/drivers/cirrus_drv.o
/usr/X11R6/lib/modules/drivers/cirrus_laguna.o
/usr/X11R6/lib/modules/drivers/cyrix_drv.o
/usr/X11R6/lib/modules/drivers/fbdev_drv.o
/usr/X11R6/lib/modules/drivers/glide_drv.o
/usr/X11R6/lib/modules/drivers/glint_drv.o
/usr/X11R6/lib/modules/drivers/i128_drv.o
/usr/X11R6/lib/modules/drivers/i740_drv.o
/usr/X11R6/lib/modules/drivers/i810_drv.o
/usr/X11R6/lib/modules/drivers/imstt_drv.o
%dir /usr/X11R6/lib/modules/drivers/linux
/usr/X11R6/lib/modules/drivers/linux/v4l_drv.o
/usr/X11R6/lib/modules/drivers/mga_drv.o
/usr/X11R6/lib/modules/drivers/mga_hal_drv.o
/usr/X11R6/lib/modules/drivers/neomagic_drv.o
/usr/X11R6/lib/modules/drivers/nv_drv.o
/usr/X11R6/lib/modules/drivers/r128_drv.o
/usr/X11R6/lib/modules/drivers/radeon_drv.o
/usr/X11R6/lib/modules/drivers/rendition_drv.o
/usr/X11R6/lib/modules/drivers/s3_drv.o
/usr/X11R6/lib/modules/drivers/s3virge_drv.o
/usr/X11R6/lib/modules/drivers/savage_drv.o
/usr/X11R6/lib/modules/drivers/siliconmotion_drv.o
/usr/X11R6/lib/modules/drivers/sis_drv.o
/usr/X11R6/lib/modules/drivers/tdfx_drv.o
/usr/X11R6/lib/modules/drivers/tga_drv.o
/usr/X11R6/lib/modules/drivers/trident_drv.o
/usr/X11R6/lib/modules/drivers/tseng_drv.o
/usr/X11R6/lib/modules/drivers/vesa_drv.o
/usr/X11R6/lib/modules/drivers/vga_drv.o
/usr/X11R6/lib/modules/drivers/vmware_drv.o
%endif
%dir /usr/X11R6/lib/modules/extensions
/usr/X11R6/lib/modules/extensions/libdbe.%{MODEXT_A}
%ifarch i386 ia64 sparc sparc64 ppc alpha
/usr/X11R6/lib/modules/extensions/libdri.a
%endif
/usr/X11R6/lib/modules/extensions/libextmod.%{MODEXT_A}
/usr/X11R6/lib/modules/extensions/librecord.%{MODEXT_A}
/usr/X11R6/lib/modules/extensions/libxie.%{MODEXT_A}
/usr/X11R6/lib/modules/extensions/libxtrap.%{MODEXT_A}
/usr/X11R6/lib/modules/fonts/
/usr/X11R6/lib/modules/input/
/usr/X11R6/lib/modules/*.%{MODEXT_A}
%ifarch i386
/usr/X11R6/lib/modules/libglide2x.so
%endif
/usr/X11R6/lib/modules/linux
%ifarch i386 alpha ia64
/usr/X11R6/lib/modules/*.uc
%endif

%files -n xf86_glx
%defattr(-, root, root)
/usr/X11R6/lib/modules/extensions/libglx.%{MODEXT_A}.xf86_glx
/usr/X11R6/lib/modules/extensions/libGLcore.%{MODEXT_A}.xf86_glx
%{_libdir}/GL/libGL.so.1.2.xf86_glx
%ifarch i386 alpha
%{_libdir}/libglide3-v3.so
%{_libdir}/libglide3-v5.so
/etc/profile.d/xf86_glx.sh
/etc/profile.d/xf86_glx.csh
%endif
/usr/X11R6/bin/switch2xf86_glx

%files -n xf86glx-devel
%defattr(-, root, root)
%doc /usr/X11R6/man/man3/GLw*
/usr/include/GL/
/usr/X11R6/include/GL/
%{_libdir}/libGL.a
%{_libdir}/libGL.so
%{_libdir}/libMesaGL.a
%{_libdir}/libMesaGL.so
/usr/X11R6/%{_lib}/libGLw.a
%endif

%files -n xextra
%defattr(-, root, root)
/usr/X11R6/bin/Xnest
/usr/X11R6/bin/Xvfb

%files -n xdevel
%defattr(-, root, root)
%dir /usr/X11R6/include/X11
/usr/include/X11
%ifnarch s390 s390x
/usr/X11R6/include/*.h
%endif
/usr/X11R6/include/DPS/
#/usr/X11R6/include/bitmaps/
/usr/X11R6/include/X11/*.h
/usr/X11R6/include/X11/Xft/
/usr/X11R6/include/X11/extensions/
/usr/X11R6/include/X11/fonts/
/usr/X11R6/include/X11/ICE/
/usr/X11R6/include/X11/SM/
/usr/X11R6/include/X11/Xmu/
/usr/X11R6/include/X11/Xaw/
/usr/X11R6/include/X11/PM/
/usr/X11R6/%{_lib}/lib*.a
/usr/X11R6/lib/X11/config/
/usr/X11R6/%{_lib}/libICE.so
/usr/X11R6/%{_lib}/libXIE.so
/usr/X11R6/%{_lib}/libXTrap.so
/usr/X11R6/%{_lib}/libSM.so
/usr/X11R6/%{_lib}/libX11.so
/usr/X11R6/%{_lib}/libXaw.so
/usr/X11R6/%{_lib}/libXext.so
/usr/X11R6/%{_lib}/libXfont.so
/usr/X11R6/%{_lib}/libXft.so
/usr/X11R6/%{_lib}/libXi.so
/usr/X11R6/%{_lib}/libXmu.so
/usr/X11R6/%{_lib}/libXmuu.so
/usr/X11R6/%{_lib}/libXp.so
/usr/X11R6/%{_lib}/libXpm.so
/usr/X11R6/%{_lib}/libXrandr.so
/usr/X11R6/%{_lib}/libXrender.so
/usr/X11R6/%{_lib}/libXt.so
/usr/X11R6/%{_lib}/libXtst.so
/usr/X11R6/%{_lib}/libdps.so
/usr/X11R6/%{_lib}/libdpstk.so
/usr/X11R6/%{_lib}/libpsres.so
/usr/X11R6/%{_lib}/libxrx.so

%files -n xxprt
%defattr(-, root, root)
/usr/X11R6/bin/Xprt
%doc /usr/share/doc/packages/xxprt/
%config /etc/X11/xserver/C/print/
%ghost /usr/X11R6/lib/X11/xserver/C/print/

%files -n xfnt100
%defattr(-, root, root)
%dir /usr/X11R6/lib/X11/fonts
/usr/X11R6/lib/X11/fonts/100dpi/
#/usr/X11R6/lib/X11/fonts/ucs/100dpi/

%files -n xfntcyr
%defattr(-, root, root)
%dir /usr/X11R6/lib/X11/fonts
/usr/X11R6/lib/X11/fonts/cyrillic/
#%files -n xfntbig
#%defattr(-, root, root)
#%dir /usr/X11R6/lib/X11/fonts
#%dir /usr/X11R6/lib/X11/fonts/misc
#/usr/X11R6/lib/X11/fonts/misc/gb16fs.pcf.gz
#/usr/X11R6/lib/X11/fonts/misc/gb16st.pcf.gz
#/usr/X11R6/lib/X11/fonts/misc/gb24st.pcf.gz
#/usr/X11R6/lib/X11/fonts/misc/hanglg16.pcf.gz
#/usr/X11R6/lib/X11/fonts/misc/hanglm16.pcf.gz
#/usr/X11R6/lib/X11/fonts/misc/hanglm24.pcf.gz
#/usr/X11R6/lib/X11/fonts/misc/jiskan16.pcf.gz
#/usr/X11R6/lib/X11/fonts/misc/jiskan24.pcf.gz
#/usr/X11R6/lib/X11/fonts/misc/k14.pcf.gz

%files -n xfntscl
%defattr(-, root, root)
%dir /usr/X11R6/lib/X11/fonts
/usr/X11R6/lib/X11/fonts/Speedo/
/usr/X11R6/lib/X11/fonts/Type1/
/usr/X11R6/lib/X11/fonts/TTF/
/usr/X11R6/lib/X11/fonts/truetype/
%ifnarch s390 s390x

%files -n km_drm
%defattr(-, root, root)
%dir /usr/src/kernel-modules
%dir /usr/src/kernel-modules/drm
/usr/src/kernel-modules/drm/*
%endif
%ifarch i386

%files -n NVIDIA_GLX
%defattr(-, root, root)
/usr/X11R6/lib/modules/drivers/nvidia_drv.o
/usr/X11R6/lib/modules/extensions/libglx.a.nv_glx
/usr/X11R6/lib/modules/extensions/libGLcore.a.nv_glx
%{_libdir}/GL/libGL.so.1.2.nv_glx
/usr/X11R6/bin/switch2nvidia_glx
/usr/share/doc/packages/NVIDIA_GLX/Dummy

%files -n NVIDIA_kernel
%defattr(-, root, root)
/usr/share/doc/packages/NVIDIA_kernel/Dummy
%endif
%ifnarch s390 s390x

%files -n xf86driver-options
%defattr(-, root, root)
/etc/X11/CardModules.new
%endif

%files -n XFree86-compat-libs
%defattr(-, root, root)
/usr/X11R6/%{_lib}/libXxf86vm.so.1
/usr/X11R6/%{_lib}/libXxf86vm.so.1.0
/usr/X11R6/%{_lib}/libXxf86dga.so.1
/usr/X11R6/%{_lib}/libXxf86dga.so.1.0
/usr/X11R6/%{_lib}/libXxf86misc.so.1
/usr/X11R6/%{_lib}/libXxf86misc.so.1.0
/usr/X11R6/%{_lib}/libXv.so.*

%clean

%changelog -n xf86
* Thu Mar 04 2004 - sndirsch@suse.de
- reverted broken security fix for Xsession script (see also
  comment #16 of Bug#34253)
* Wed Mar 03 2004 - sndirsch@suse.de
- xfree86_4.1.0_glx_dri_integer_overflow.diff:
  * The GLX and DRI code of the Xserver did not verify the "screen"
  parameter in several functions. This failure leads to a
  denial-of-service condition and probably to arbitrary code
  execution as root. (CAN-2004-0093, CAN-2004-0094) (Bug #35206)
- fixed tmp races in postinstall scripts and Xsession script
  (Bug #34253)
* Thu Feb 12 2004 - thomas@suse.de
- fixed more buffer overflows in fontfile/ direc (#34296)
- put together old and new bugs in
  fontfile-sec_bufferoverflows.diff
* Tue Feb 10 2004 - sndirsch@suse.de
- dirfile.diff:
  * at the same location just a few lines below the same problem
* Thu Feb 05 2004 - sndirsch@suse.de
- dirfile.diff:
  * A buffer overflow in the X server can be triggered by using a
  malformed fonts.alias file. This bug can be used to gain local
  root privilege (Bug #34296).
* Thu Jan 08 2004 - sndirsch@suse.de
- p_pam_setcred.diff:
  * Due to inproper checking of failure-conditions of pam_setcred()
  in XDM while using pam_krb5 a user with valid login credentials
  (Kerberos) may get root access to the system. (Bug #33788)
* Wed Mar 26 2003 - sndirsch@suse.de
- p_xlclocale.diff:
  * A buffer overflow vulnerability was fixed
* Fri Sep 06 2002 - sndirsch@suse.de
- i810.tar.gz/p_i845.diff:
  * replaces Intel i810 driver including support for Intel i845
* Sun Sep 01 2002 - sndirsch@suse.de
- p_xlib.diff:
  * Security update: Xlib loaded user given libraries even when
  running privileged. This could be used by local attackers to
  trick suid programs linked against Xlib to execute arbitrary
  code.
* Mon May 13 2002 - sndirsch@suse.de
- p_fixes_after_RC1.diff from Egbert:
  * fixes restoring of color map for Riva 128 boards (Bug #15183)
  * fixes hardware cursor for Matrox G550 boards
  * disabling neomagic video support in nonlinear mode
  * disabling C&T video in nonlinear mode; removing leftover print command
  * fixing gamma support for trident 9397
  * fixing messages in chips driver
- p_vmware-fix.diff from Egbert:
  * fixes vt switching segfaults of vmware driver
* Sat May 11 2002 - sndirsch@suse.de
- Security fixes:
  * p_mit-shm.diff (MIT-SHM extension)
  * p_lbxproxy.diff (lbxproxy client)
* Fri May 03 2002 - sndirsch@suse.de
- fixed compilation of i810/i830 kernel module with kernel 2.4.19-pre7
  (p_drm_page.diff)
* Tue Apr 02 2002 - mvidner@suse.cz
- p_cz-decimal.diff
  * fixed decimal period in US group of Czech and Slovak keyboards (#15581)
* Mon Mar 25 2002 - sndirsch@suse.de
- p_hu-euro.diff (Koblinger Egmont <egmont@suselinux.hu>):
  * added Euro symbol for hungarian kbd layout
- use $RPM_OPT_FLAGS for compiling instead of hardcoded options
  "-O2 -mcpu=i686 -march=i486"; useful for 'full-debug-i386' builds
* Fri Mar 22 2002 - sndirsch@suse.de
- fixed annoying msg when opening shells on some machines (Bug #15363)
* Thu Mar 21 2002 - sndirsch@suse.de
- p_xf86Wacom-fix.diff:
  * fix for wacom driver build
* Thu Mar 21 2002 - sndirsch@suse.de
- p_late-fixes2.diff (more late fixes from Egbert):
  * removed some HW cursor glitches in C&T driver
  * C&T driver: made video available even when accel is disabled
  * fixed a bug in PCI ROM read routine that caused system hangs
  * fixing some accel offscreen manager relations in neomagic driver
* Wed Mar 20 2002 - sndirsch@suse.de
- p_late-fixes.diff (late fixes from Egbert):
  * adding some new S3 Savage PCI chips to the database
  * fixing video support on neomagic: chip used to allocate too much
  memory for video, video didn't work when acc was disabled
  * disabling gamma correction for trident as it doesn't work like
  described in the data book.
  * adding tsi's ultimate silken mouse fix (tested).
* Tue Mar 19 2002 - sndirsch@suse.de
- p_xf86Wacom.diff:
  * improved new Wacom driver which works for serial and USB tablets
  (Frederic Lepied <lepied@XFree86.Org>)
- changes in switch2xf86_glx/switch2nvidia_glx:
  * only create symbolic link /usr/lib/libGL.so.1 if not already there;
  performance boost for ldconfig
* Sun Mar 17 2002 - sndirsch@suse.de
- p_vgahw.diff:
  * removes annoying log message from output, which produces hundreds
  or even thousands of useless lines in logfile for some drivers
* Sun Mar 10 2002 - sndirsch@suse.de
- p_nv-gf2go-gf4.diff:
  * support for GeForce2 Go + GeForce4
- added new option "Overlay" to nvidia options
- updated to bugfix release 4.2.0.1 (p_420-fixes.diff)
  Changelog entries:
  * XFree86 4.2.0.1 (xx February 2002)
  703. MIT-SHM updates (Roberto Zunino, Matthieu Herrb).
  702. Fix a problem related to reserving the overlay key in the default
  colormap in 24+8 mode.  This caused some clients using the 8-bit
  visuals to fail (David Dawes).
  701. Zlib error handling fix (Mark Adler).
  700. Put back XDarwin's byte-ordering fix for reading keymappings on
  Darwin x86 that was inadvertently dropped (Rob Braun).
  699. Fix for `hostname` issue on Linux (Marc La France).
  698. Fix startx script for ksh (Philip B. Bruce).
  697. Fix Emulate3Buttons for wsmouse protocol on NetBSD and OpenBSD
  (Matthieu Herrb).
  696. Temporary workaround for IA-64 (Marc La France).
  695. Fix SIGSEGV when printing modes that have no flags (Marc La France).
  694. Fix an unresolved symbol in libGLU.so that shows up when building it
  with gcc-3 (David Dawes).
  693. Fix incorrect symbol prefixing with Xlib's i18n modules on Solaris,
  and fix invalid code caused by a memcpy() macro being split by a
  directive (Keith Packard, David Dawes, #5150, Sami Farin).
  692. Don't try to print mode names when NULL (David Dawes).
  691. Revert the ATI driver's composite sync default to off (Marc La France).
- p_fix-xkb-sig11.diff (fixes Bug #14825)
- p_i810-fix.diff:
  * prevents I810Sync() from being called when switching to a VT
* Mon Mar 04 2002 - sndirsch@suse.de
- p_hwcursor.diff:
  * hardware cursor fix (Egbert Eich)
* Sun Mar 03 2002 - sndirsch@suse.de
- p_xft_leak.diff:
  * memory leak fix for libXft by Lars Knoll <lars@trolltech.com>;
  verified by Keith Packard
- p_dlopen-refcount.diff:
  use reference counts for dlopen of XI18N objects, based on
  patch by Owen Taylor <otaylor@redhat.com>, for details see also
  http://xfree86.org/pipermail/xpert/2002-January/015218.html.
  Without this patch XimRegisterIMInstantiateCallback() core dumps
  which results in core dumps in the initialization code of
  almost all applications supporting XIM when XMODIFIERS is set
  to a XIM server inappropriate for the locale. For example
  'XMODIFIERS=@im=kinput2 LANG=zh_TW gvim' core dumps without
  this patch.
* Thu Feb 28 2002 - sndirsch@suse.de
- added ia64 specific patch 'p_ia64.diff' for XFree86 loader
  (Andread Schwab)
* Wed Feb 27 2002 - sndirsch@suse.de
- p_pnp_neo.diff (Egbert Eich)
  * fixes in PNP mouse driver and neomagic video driver
- p_mouse-misc.diff (Egbert Eich, patch is disabled!)
  * big changes in mouse driver and misc extension
* Mon Feb 25 2002 - sndirsch@suse.de
- changes in p_fixes.diff (Mike Fabian)
  * treat 'urw-fontspecific' as identical to 'adobe-fontspecific';
  fixes displaying of URW Symbol and Dingbats fonts
- adjusted 'FILES'
* Sat Feb 23 2002 - sndirsch@suse.de
- changes in p_fixes.diff (Egbert Eich):
  * fixing a bug in the mouse driver that may cause Sig11 on console
  switches
  * modified and hopefully improved mtrr range splittings
* Wed Feb 20 2002 - sndirsch@suse.de
- DRI tdfx driver uses dlopen since 4.2.0 to load Glide3/DRI library
  instead of being linked against; adjusted switch2xf86_glx script
  and specfile to this change
- DRI tdfx driver needs to set FX_GLIDE_SWAPINTERVAL for Banshee
  boards; added profiles for this
* Wed Feb 20 2002 - sndirsch@suse.de
- changes in p_fixes.diff:
  * ATI Rage XL Lockup fix (Marc Aurele La France)
- fixed "SuSEconfig.xdm / 'etc/X11/xdm/Xservers'" bug (#13629)
* Mon Feb 18 2002 - sndirsch@suse.de
- changes in p_fixes.diff:
  * added missing commas to us_intl xkb layout
- changes in p_suse.diff
  * added Ungherese (qwerty) support
* Fri Feb 15 2002 - sndirsch@suse.de
- changes from Egbert Eich in p_fixes.diff:
  * Included new cross compile environment
  * Included x86_64 port
  * Removed several memory leaks
  * Added enhancements to memory debugger
  * Added automatic mouse recoginition
  * Fixed Rendition driver to work with VESA fbdev
  * Fixed Matrox driver to work with VESA fbdev and HALlib
  * Fixed video support in smi driver
  * Fixed smi driver to work with VESA fbdev
  * Added video support to neomagic driver
  * Made some enhancements to trident video support
  * Added automatic detection of legacy Tseng chipsets
  * Fixed vga driver HBlank problems with chips having a C&T core.
- previous patch for "config/imake/imake.c" now in p_fixes.diff
  instead of p_suse.diff to prevent conflicts between these two
  patches
- adjusted xterm patch due to changes in p_fixes.diff
- removed lib64 patch (already in in p_fixes.diff)
* Mon Feb 11 2002 - sndirsch@suse.de
- Revert the ATI driver's composite sync default to off
* Sat Feb 09 2002 - sndirsch@suse.de
- ppc: added building of imstt driver
* Mon Feb 04 2002 - sndirsch@suse.de
- changes in p_fixes.diff:
  * Fix sig11 problem when switching mouse protocols (Egbert Eich)
* Mon Feb 04 2002 - sndirsch@suse.de
- changes in p_fixes.diff:
  * make _XimCheckLocaleName() case insensitive; fixes problems when
  starting Xcin in zh_TW.Big5 locale (Mike Fabian <mfabian@suse.de>)
  * replace zh_CN.eucCN by the commonly used zh_CN.GB2312 in
  locale.alias/locale.dir (Mike Fabian <mfabian@suse.de>)
  * fixed typo in tdfx_driver.c (Mike Harris <mharris@redhat.com>);
  confirmed by Daryll Strauss <daryll@harlot.rb.ca.us>
- p_drm-pte-highmem.diff:
  adjusted DRM sources for pte/highmem changes in SuSE kernel
* Wed Jan 30 2002 - sndirsch@suse.de
- use utempter support of xterm instead of sgid bit (Olaf Kirch)
* Tue Jan 29 2002 - sndirsch@suse.de
- added kde3 lines to /etc/X11/xdm/Xsetup
* Mon Jan 28 2002 - sndirsch@suse.de
- changes in p_fixes.diff: fixed EURO support for xterm via App
  Defaults
* Sun Jan 27 2002 - sndirsch@suse.de
- changes in p_fixes.diff: added missing locale.alias/locale.dir
  entries for i18n spec
* Tue Jan 22 2002 - sndirsch@suse.de
- config-dist.sh: fixed build for 7.1-ppc, sles7-ppc and 7.3-ppc
- new ppc-patches.tar.bz2; patches are now applied again
* Mon Jan 21 2002 - sndirsch@suse.de
- changes in p_fixes.diff:
  * replaced G450SetPLLFreq(...) with MGAG450SetPLLFreq(...); fixes
  "G450SetPLLFreq in mga_drv.o is unresolved" and "Fatal error: SIGILL"
  problems during X Server start on mga boards when 'Option "NoHal"'
  is used
* Sun Jan 20 2002 - sndirsch@suse.de
- merged p_suse_fixes.diff, p_xpm.diff and p_driver_fixes.diff
  to new patch p_fixes.diff (generated by CVS diff)
- p_suse.diff now generated by CVS diff (no changes)
- added build flags "-mcpu=i686 -march=i486" for i386
* Sat Jan 19 2002 - sndirsch@suse.de
- updated to final release 4.2.0
- trident and mga fixes from Egbert (p_driver_fixes.diff)
- config-dist.sh: removed SuSEconfig.xdm for 7.0-i386,7.1-i386,
  7.2-i386, 7.3-i386
- build 'imstt' as devel driver
* Fri Jan 18 2002 - schwab@suse.de
- Fix libXpm for 64 bit architectures.
* Tue Jan 15 2002 - sndirsch@suse.de
- updated to CVS release (2002-01-18) of XFree86
- fixed build for 7.0-i386 in config-dist.sh
- p_lib64.diff: required for X11/lib64
- changes in p_suse_fixes.diff:
  * removed i830 patch (already included in CVS tarball)
  * use XI18N_OBJS of locale zh for locale zh_CN; fixes
  XSupportsLocale() for locale zh_CN
- fonts.dir files are included again (to much trouble without them)
- prepared specfile for lib64
- some cleanups in specfile
* Mon Jan 14 2002 - sndirsch@suse.de
- updated to CVS release (2002-01-14) of XFree86
- switch2nvidia_glx now executable (again)
* Sat Jan 12 2002 - sndirsch@suse.de
- updated to CVS release (2002-01-12) of XFree86
* Fri Jan 11 2002 - sndirsch@suse.de
- new p_suse_fixes.diff
  * fixed Render problem in mga driver for multihead configurations
  * integrated p_ia64.diff
- removed p_suse_fixes_post73.diff
- removed p_ia64.diff
- updated to the latest Matrox HALlib
- adjusted entries in 'FILES'
- added i830 DRM module to Makefile.module
- adjusted SuSEconfig.xdm to use /etc/sysconfig/displaymanager instead
  of /etc/rc.config.d/displaymanager.rc.config
- adjusted driver_options.sh to new options of ati and nvidia driver
- create the xkb symbols cs, cs_qwerty and gr as compatibility
  symbolic links (instead of real files)
* Thu Jan 10 2002 - sndirsch@suse.de
- renamed arm.dif --> p_arm.diff
- removed p_buildglxwithpic.diff (already integrated in CVS release)
- adjusted patches:
  * p_sbit.diff
  * p_suse.diff
  * xterm-privilege.patch (located in xterm-patches.tar.gz)
- use static usb lib (again) for builing XFree86 Loader
* Wed Jan 09 2002 - sndirsch@suse.de
- updated to CVS release (2002-01-09) of XFree86
- removed p_utf8.diff (already integrated in CVS release)
- defined UsbHidLib to "-lusb"
- removed workaround for compiling freetype2; not required any more
- adjusted revision number of Xrender lib in filelist
- added /usr/X11R6/lib/X11/fonts/truetype/ to package xfntscl
* Tue Jan 08 2002 - egmont@suselinux.hu
- changed /sbin/init.d to /etc/init.d in xfs init script comment,
  removed colons from startup and shutdown messages
* Fri Jan 04 2002 - sndirsch@suse.de
- made switch2xf86_glx executable
* Thu Jan 03 2002 - sndirsch@suse.de
- link all affected programs statically against libXv and libXxf86*
* Wed Jan 02 2002 - sndirsch@suse.de
- disabled patch p_sparc_pci.diff for now; must be adjusted when
  XFree86 4.2.0 is released
* Sat Dec 29 2001 - adrian@suse.de
- fix build for mips finaly (use MakeDllModules)
* Wed Dec 19 2001 - sndirsch@suse.de
- removed fonts.dir and encodings.dir and renamed fonts.scale, which
  are created dynamically by /sbin/conf.d/SuSEconfig.fonts anyway
* Tue Dec 18 2001 - sndirsch@suse.de
- some cleanups in host.def
- lib64
  * add %%_lib and %%_libdir where appropriate
  * move shared objects and only these to appropriate lib64 locations
  at the end of the install section
- adjusted config-dist.sh for 7.2-lib64-s390x
- added patch p_utf8.diff, which fixes the loading of the wrong
  input library
* Mon Dec 17 2001 - sndirsch@suse.de
- updated to CVS release (2001-12-17) of XFree86
- disabled some patches, which must be adjusted when XFree86 4.2.0
  is available (about 2002-01-02):
  * p_suse.diff
  * p_suse_fixes.diff
  * p_buildglxwithpic.diff
  * p_sbit.diff
  * p_suse_fixes_post73.diff
  * ppc specific patches
  * xterm-privilege.patch
  Most of them should be included in XFree86 4.2.0 anyway.
- added missing link to freetype/ftsizes.h
- added patch p_ia64.diff to fix DRI compile problems on ia64
- adjusted minor numbers of libXft and libXfont
- added some new files introcuded with coming 4.2.0 release to filelist
  * luit, uxterm, xrandr, xtrapchar, xtrapin, xtrapinfo, xtrapout,
  xtrapproto, xtrapreset, xtrapstats
  * xedit lisp files
  * libXTrap, libXrandr
  * new drivers: imstt, s3
  * new extension: libxtrap
  * Luxi truetype fonts
- use separate freetype2 package for building
* Fri Dec 14 2001 - ro@suse.de
- removed START_XFS, use macros for insserv
* Wed Dec 12 2001 - uli@suse.de
- use MakeDllModules on ARM
* Mon Dec 10 2001 - sndirsch@suse.de
- removed xf86driver-options from package list for s390/s390x
- replaced "Requires: pam_devperm" with "Requires: pam_devperm.so"
- removed p_mga_g550.diff and p_mga_g550_id.diff (G550 support now
  in p_suse_fixes_post73.diff)
- removed p_revert_mouse_changes.diff (Keith's changes were not
  responsible for loosing mouse events)
- adjusted p_sbit.diff to new p_suse_fixes_post73.diff
- disabled p_pcidomain_mga_ppc_antonb.diff (ppc only) for now
- new p_suse_fixes_post73.diff with the following additions:
  * Fix Timers to survive CARD32 wrap (keithp)
  * Patches from Egbert Eich:
- Updated fontlib to a later version
- fixed xkb to avoid setting of AccessXTimeout to 0
- reversed bogus patch for Xinerama XV
- Added option to sync the logfile after every line written
- improved APM handling:
  Added disable of Input Handlers,
  Added support for undo on failed APM requests,
  Set vtSema to false
- hopefully improved detection of primary device
- added fix for lockup of Radeon chips
- updated mga driver
- Set flag ROP_NEEDS_SOURCE for CPUToScreenColorExpand for all
  S3 Savage chips
- Added GE reset when returning from VT switch to siliconmotion
  driver.
- fixed SiS driver to restore fbdev mode properly.
- fopefully improved LCD handling on SiS 630.
- fixed screen blanking in SiS driver to properly blank LCDs
- fixed Tdfx driver for Banshee
- fixes to tga driver by Jay Eastabrook.
- added ps2 mouse replug reset to mouse driver.
- Several video enhancements for Trident driver
* Tue Dec 04 2001 - uli@suse.de
- added ARM support
* Tue Nov 20 2001 - sndirsch@suse.de
- compile static XVideo, Misc, DGA and Vidmode libraries with
  "-fPIC" for IA64
* Thu Nov 15 2001 - sndirsch@suse.de
- adjusted specfile for mips architecture
- moved shared libraries libXxf86vm, libXxf86dga, libXxf86misc and
  libXv from xshared to XFree86-compat-libs (new package)
--> https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=28196
- removed XftConfig; now in package xf86tools to be able to update
  it easier
* Fri Nov 09 2001 - sndirsch@suse.de
- removed subpackages xf86glu + xf86glu-devel (replaced by sub-
  packages mesaglu + mesaglu-devel of mesa)
- removed libOSMesa from filelist (now in package mesa)
* Tue Nov 06 2001 - sndirsch@suse.de
- added SuSEconfig.xdm for xdm configuration
* Tue Oct 09 2001 - bjacke@suse.de
- make xauth part of xshared (needed for ssh X11forwarding)
* Fri Oct 05 2001 - sndirsch@suse.de
- mga driver: Disable Render acceleration secondary CRTC (keithp)
  (Patch #9390)
- fix flickering LCD problem for notebooks with i815 chip like ASUS M1300
  in i810 driver (Harald Koenig <koenig@science-computing.de>,
  Poul-Henning Kamp <phk@freebsd.org>)
- fix for brazilian ABNT2 keyboard layout
  (Carlos Hix <carlos.hix@numericon.com.br>)
* Tue Sep 25 2001 - sndirsch@suse.de
- fixed important typo (Bug #11297)
* Fri Sep 21 2001 - sndirsch@suse.de
- reverted Keith's mouse changes again (to much trouble with lost
  mouse events) --> p_revert_mouse_changes.diff (Bug #11204)
- replaced p_mga_ppc_antonb.diff with the new patch
  p_pcidomain_mga_ppc_antonb.diff (only ppc is affected by this
  change of olh!)
- removed driver directory 'vmware.orig'
* Wed Sep 19 2001 - sndirsch@suse.de
- removed /etc/X11/XftConfig (Bug #10879)
* Tue Sep 18 2001 - sndirsch@suse.de
- fixed path for Type1 fonts in XftConfig (Bug #10801)
- removed wrong patches for documentation (mga.cpp,mga.man,README)
  in p_mga_g550.diff
* Sat Sep 15 2001 - sndirsch@suse.de
- mouse driver fix from Keith Packard (p_revert_mouse_changes.diff
  not required any longer): 'Mouse block/wakeup handlers werent
  re-registered after server reset'
- mga driver fix from Keith Packard: 'Initialize MGA storage used
  for accelerated alpha compositing'
- added Matrox MGA G550 support (p_mga_g550.diff) (Randall Watt)
- added Matrox MGA G550 device id (p_mga_g550_id.diff)
- MGA G550 patch was tested successfully with the affected
  boards G200/G400/G450
* Fri Sep 14 2001 - sndirsch@suse.de
- patches from Gerd Knorr <kraxel@suse.de>
  * parameters in NVPutOverlayImage call in nv video driver were
  mixed up
  * fixes a few drivers to set memPhysBase correctly (the v4l module
  depends on that). It also makes the v4l module print memPhysBase
  once to the log
- integrated glide driver fixes from XFree86 CVS branch (rel. 1.27)
  * fix broken glide driver that caused -configure to fail for all
  drivers in 4.1.0
  * first part of driver Loader symbol req/ref registration cleanup
  * Must call fbPictureInit after visual RGB orders have been fixed
* Wed Sep 12 2001 - sndirsch@suse.de
- reverted last mouse changes of Keith Packard (lost mouse events)
--> p_revert_mouse_changes.diff
* Tue Sep 11 2001 - kukuk@suse.de
- sunffb should not load dri and drm module
* Mon Sep 10 2001 - sndirsch@suse.de
- added new options for firegl23 and nvidia driver
- bugfixes from Egbert Eich integrated in p_suse_fixes.diff:
  * latest savage driver fixes by Tim Roberts: The 1.1.19 drop
  should fix the hangs in "xlock -mode xcl" and in the Opera
  browser.
- bugfixes from Keith Packard integrated in p_suse_fixes.diff:
  * lib/Xft: handle truetype fontfiles with more than one font --
  .xftcache was getting busted
  * Eliminate malloc/free calls from 3 button emulation code
  * Restructure fbDoCopy to ensure out of range width/height are
  always caught
  * Change unsigned int to XftChar32 everywhere else, fix
  RenderExtents{16,32,Utf8} to match RenderExtents8
  * Add Xinerama kludge for root window tiles
  * Incorrect protocol size for xPictFormInfo structure. Would you
  believe it mostly works anyhow?
- adjusted 000_stolen_from_HEAD.diff in ppc-patches.tar.bz2 (removed
  patch already included in p_suse_fixes.diff)
- exit code in switch2xf86_glx is now always defined
* Thu Sep 06 2001 - kukuk@suse.de
- Use $named and $network in rcxfs script [Bug #9908]
* Wed Sep 05 2001 - werner@suse.de
- Change color and location of XConsole for new KDM theme
* Mon Sep 03 2001 - sndirsch@suse.de
- removed 'x_server' and package ttmkfdir of 'Requires' of package
  xf86
- added package ttmkdir to 'Requires' of package xloader
- new p_suse_fixes.diff (patches from Egbert Eich):
  * disabling int10 support for Sparc
  * adding "ALDI"-tablet driver (again)
  * minor fixes to C&T overlay support
  * added automatic detection of 24/32 bpp for fbdev driver
  * removed a bogus fix from apm code that prevented apm
  to return to select. (Keith and I fixed this in March 2000
  somebody broke it again)
  * fix for video on Trident. Now videos wider than 384 pixels should
  play OK on more chipsets.
  * attempt to fix SiS driver
  this seems to work for me
* Fri Aug 31 2001 - sndirsch@suse.de
- new p_suse_fixes.diff:
  * some patches from Egbert Eich:
- removed debugging code from apm driver
- update  savage driver to version 1.1.1.18
- fixed ATi Mach64 driver for Sharp notebook
- fixed C&T driver for CT69030, improved video support etc.
- fixed lockup problem in neomagic driver
- added Libretto support to neomagic driver
- improved Trident video support
- added log message to vbe
- fixed typo in neomagic driver
- fixed color problem of DGA mode in neomagic driver
  * integrated cz_and_sk_kb.diff (patch from Kendy)
- added programs/xkb/symbols/us_group2
- fixes the cz* and sk* keyboards to use it to be switchable
  (with US keyboard) again
* Wed Aug 29 2001 - kendy@suse.cz
- added cz_and_sk_kb.diff, which creates xkb/symbols/us_group2
  and fixes the cz* and sk* keyboards to use it to be switchable
  (with US keyboard) again.
* Mon Aug 27 2001 - sndirsch@suse.de
- integrated hyperpen.tar.gz/p_hyperpen.diff (Hyperpen driver) into
  p_suse_fixes.diff
- build some libraries with -fPIC for ppc
* Fri Aug 24 2001 - sndirsch@suse.de
- added driver for AHP5000/Hyper Pen 5000/Digital Edge Natural Pen
  (hyperpen.tar.gz p_hyperpen.diff)
  ftp://ftp.sourceforge.net/pub/sourceforge/xf86DigitalEdge/xf86HyperPen-0.1.3.1.tar.gz
* Sat Aug 18 2001 - mfabian@suse.de
- add sbit patch to make the freetype module use embedded bitmaps
  present in some unicode/cjk TrueType fonts for small point sizes
  instead of rendering the outlines.
  (original patch xfree-ttf-patch.tar.gz is from
  <timecop@japan.co.jp> http://www.ne.jp/asahi/linux/timecop/,
  I only adapted it to work with  XFree86-4.1.0)
* Sat Aug 18 2001 - kukuk@suse.de
- Fix p_sparc-pci patch to apply again
* Fri Aug 17 2001 - sndirsch@suse.de
- link /usr/lib/libsupc++ inside of GLU, if it exists (required
  since gcc >= 3.0)
* Thu Aug 16 2001 - sndirsch@suse.de
- removed p_s390x.diff/p_suns32bpp.diff (integrated it into
  p_suse_fixes.diff)
- more p_suse_fixes.diff changes:
  r128/radeon driver: calculate the correct DRM_PAGE_SIZE for ia64; patch
  came from the linux-ia64 mailing list (Andreas Schwab sent it to me),
  have a look at
  https://external-lists.valinux.com/archives/linux-ia64/2001-March/001326.html
  for details
* Mon Aug 13 2001 - sndirsch@suse.de
- removed p_drm-ppc-diff (not required any longer)
- removed p_drm.diff (not required any longer)
- removed p_nvidia.diff (is now done with sed in specfile)
- removed p_x-axp.diff (integrated into specfile/host.def)
- removed most keyboard layouts of symbols.tar.gz (now handled with symlinks
  in specfile)
- added 'FILES' for details of sources/patches
- added wdm patch Xsession.diff of Vladimir N. <nadvornik@suse.cz>
- new p_suse_fixes.diff:
  * removed patch for xclock/Clock.c: not required any longer
  * new patches from Egbert Eich:
- xvdisp.c: changed XineramifyXV so that it is no longer required
  that the pimary card supports xv in order for xv to work; bugfix:
  changed & to &&
- lnx_kmod.c: fixing so that user can also load module (stts
  ticket: 20010729000000308); set PATH to /sbin so that modprobe
  finds insmod
- trident driver fixes:
  * Fixed support for the CYBERBLADEXP(m) Chipsets.
  We won't be able to do accel for those chips as Trident
  doesn't allow us to release source code.
  * Some modifications to video support of Blade chipsets
- common/xf86Events.c: Added comment
- common/xf86PM.c: initialized static variable
- cirrus driver fixes:
  * fixed acceleration for 5446 Chipset
  * fixed multihead for Alpine chipsets
- neomagic driver fixes:
  * fixed Screen2ScreenBlit for 2200 again: copy direction was not
  taken into account correctly before
- vbeFree() fixes for the drivers apm, r128, i740, i810, chips,
  mga, nv, rendition, savage, tseng, siliconmotion, vesa
- os-support/bus: fixed readPciBIOS() to handle non-x86 BIOS formats
- os-support/linux/lnx_video.c: Jay Estabrooks AXP Patches
- int10: fixed to work with new readPciBIOS()
- xf86cfg: fixed typo
- wacom driver: removed 3.3 stuff
- x86emu:
  * Jay Estabrooks AXP patches: reversed some stuff mo longer
  needed in mga driver due to the new sparse handling
  * alignment fixes for registers
- mga driver fixes:
  * Jay Estabrooks AXP patches: reversed some stuff mo longer
  needed in mga driver due to the new sparse handling
  * alignment fixes for registers
- xaa: fix for N-N CopyPlane to prevent Sig11 under certain
  circumstances (feedback ticket: 20010803990000091)
  * new patch from Gerd Knorr:
- v4l module: Handling of multiple TV cards didn't work correctly
  * new patch from Stefan Dirsch:
- is kbd layout: fixed typo (asciircum should be asciicircum)
* Thu Aug 09 2001 - bk@suse.de
- make it build and work on s390(fixes bug 9435)
  add s390x to all ifarch s390 in specfile(and disable usb, fix awk)
* Mon Jul 23 2001 - bk@suse.de
- add support for s390x
* Mon Jul 23 2001 - kukuk@suse.de
- Fix initialization of suncg4 and sunleo driver
* Sun Jul 22 2001 - kukuk@suse.de
- Fix pci domain patch (NULL pointer dereferencing)
* Fri Jul 20 2001 - sndirsch@suse.de
- added tarball for additional ppc patches (ppc-patches.tar.bz2)
* Thu Jul 19 2001 - sndirsch@suse.de
- changes in p_suse_fixes.diff:
  * actually 1002:5446 is a Rage 128 Ultra TF instead of the
  assumed Rage 128 Pro
  * added support for ATI Rage 128 GL SM chips (1002:534D)
* Tue Jul 17 2001 - kukuk@suse.de
- Add pci domain patch from DaveM for SPARC
* Wed Jul 11 2001 - sndirsch@suse.de
- replaced broken vmware driver with vmware driver (2/20/01) of
  vmware website
- added small vmware patch (p_vmware.diff) required for YaST2
  installation to detect the current color depth of the host
  X Server
- added Provides/Obsoletes of vmware-driver for package xmodules
- moved patch to link libusb statically from patch p_suse_fixes.diff
  to patch p_suse.diff
- changes in p_suse_fixes.diff:
  * fixed typo in X.man
* Mon Jul 09 2001 - sndirsch@suse.de
- splitted p_suse.diff in suse-addons.tar.bz2 and p_suse.diff
- integrated all non-arch specific patches in SuSE CVS;
  p_suse-fixes.diff now contains all non-arch specific patches;
- removed patches (now in SuSE/CVS respective p_suse_fixes.diff):
  * p_euro_acute2apostrophe.diff
  * p_euro_locale.diff
  * p_euro_localefont.diff
  * p_euro_xtermAppD.diff
  * p_euro_xtermAppD2.diff
  * p_ia64.diff
  * p_imake.diff
  * p_include_time.diff
  * p_lnx_kmod.c.diff
  * p_osmesa.diff
  * p_r128pro.diff
  * p_radeon_ve.diff
  * p_sparc.diff
  * p_suse-cvs.diff
  * p_symbols.diff
  * p_usb.diff
  * p_xdm_pam.diff
  * p_xvfb_s390.diff
- adjust Makefiles of glxinfo/twm during build for alpha architecure
  (workarounds for gcc 3.0 problems)
* Thu Jul 05 2001 - sndirsch@suse.de
- #neededforbuild+=freetype2 (freetype2 sources of XFree86 no longer
  used, libXft is now linked dynamically against freetype2)
- added changes of SuSE internal XFree86 CVS (p_suse-cvs.diff):
- fix core dump in ct driver
- enable dga accel only when acceleration is enabled: ct, neomagic
- fix core dump in i740 driver
- fix 24 + 8 overlay for mga when using hallib
- fix for mga G100 HW cursor color setting
- added softbooting to generic driver
- fixed problem with trident driver which caused "melting" effect on
  display again
- fixed pixmap window background and frame in sw xf8_24bpp overlay code
- fixed bug in readPciBios that caused wrong base register to be restored
- fixed servermd.h for S390
- fixed memory size limit routine in tseng driver
- fixed twm to not core dump when no locale information is present
- adding more messages of fbdev if anything goes wrong
* Tue Jun 26 2001 - sndirsch@suse.de
- renamed CardModules in /etc/X11 to CardModules.new to prevent
  conflicts with xf86 when SaX2 is built for SuSE <= 7.2
- corrected p_r128pro.diff
* Mon Jun 25 2001 - sndirsch@suse.de
- moved /etc/X11/CardModules to new package xf86driver-options
- Imake.rules: fix symlinking of files in sub-directories
  (p_imake.diff)
* Fri Jun 22 2001 - sndirsch@suse.de
- adjusted driver_options.sh to new options of ati + nvidia driver
- disabled moving of unicode fonts to ucs/{misc,75dpi,100dpi}
  directories
- patch /etc/X11/XF86Config in %%post of xf86 to remove additional
  to misc also the lines
  FontPath      "/usr/X11R6/lib/X11/fonts/75dpi"
  FontPath      "/usr/X11R6/lib/X11/fonts/100dpi"
  because scaled misc fonts look very ugly in general. This is only
  done, if the lines
  FontPath      "/usr/X11R6/lib/X11/fonts/75dpi:unscaled"
  FontPath      "/usr/X11R6/lib/X11/fonts/100dpi:unscaled"
  are available.
- changed config.xfs according to this
* Wed Jun 20 2001 - sndirsch@suse.de
- disabled use of pam_devperm.so for SuSE 7.0 (package not available
  for this version)
- moved X Printer config files located in /etc/X11/xserver/C/print
  from package xf86 to package xxprt
- added build of Xvfb/Xnest/Xprt on s390 (p_xvfb_s390.diff)
- added Device Id of Rage 128 Pro chip on ATI XPERT 2000 to
  xf86PciInfo.h (p_r128pro.diff)
- removed Requires: x_server in xf86 package for s390
* Mon Jun 18 2001 - sndirsch@suse.de
- added $(DESTDIR) to some rules in config/cf/Imakefile
- added Radeon VE patch (p_radeon_ve.diff)
* Mon Jun 18 2001 - sndirsch@suse.de
- added options "-nf" to all "ln -s" commands
- $RPM_BUILD_ROOT is now correctly removed in beginning of
  %%install section
- removed Requires: windowmanager in package xf86 (twm is included
  in xf86)
* Mon Jun 18 2001 - sndirsch@suse.de
- added DRM patch for ppc (p_drm-ppc.diff)
- added $(DESTDIR) to Makefile.module
* Tue Jun 12 2001 - sndirsch@suse.de
- do not try to copy 'xserverrc' sourcefile for s390
- added Requires:3ddiag for packages xf86_glx + NVIDIA_GLX
- enabled build of XIE/XIElib again (Mozilla 0.9.1 needs it!)
- added keyboard symbols (again): cs, cs_qwerty, czsk, gr
- renumbered patchfiles/sourcefiles in specfile
* Mon Jun 11 2001 - sndirsch@suse.de
- use 'xserverrc' sourcefile for every SuSE distribution
* Sat Jun 09 2001 - sndirsch@suse.de
- added libxrx and km_drm package for Sparc
* Thu Jun 07 2001 - sndirsch@suse.de
- disabled build of XIElib
- removed xieperf in filelist
- removed XIE extension header files
- enabled -fPIC for building GLX on all platforms other than i386
- changes to Makefile.module (DRM Build)
  * added radeon module
  * patch temporarily <linux/module.h>
  * install modules not only for Kernel 2.2
- adjustments for s390 (no xinit, no driver options file; showrgb,
  libxrx, /usr/X11R6/lib/X11/etc/* added)
- added libOSMesa for IA64
- added /usr/X11R6/lib/modules/*.uc for IA64
- added subpackage km_drm for IA64
* Thu Jun 07 2001 - sndirsch@suse.de
- updated XFree86 to release 4.1.0 (big step!)
- added HALlib (again) for mga driver
- added Glide3/DRI headers and libs for i386/axp (glidedri/gldri_v5
  packages not required any longer; will be deleted (also in x11DB);
  dependencies are set)
- added patch for OSMesa (p_osmesa.diff)
- removed matrox 1.2.0Beta driver sources (maybe we get new
  ones based on 4.1.0 later)
- removed siliconmotion/sis/savage driver sources (already in 4.1.0)
- removed unicode 75/100 dpi font sources (already in 4.1.0)
- removed g3ext.h (included now in glide3headers.tar.gz)
- removed many patches already included in 4.1.0
  * p_ati_render.diff
  * p_egbert.diff
  * p_egbert_smi.diff
  * p_egbert_trident.diff
  * p_i740_render.diff
  * p_r128_ddc.diff
  * p_sis_neomagic_ati.diff
  * p_smi.diff
  * p_smi_render.diff
  * p_tdfx_dri.diff
  * p_vga16.diff
  * p_xf86_402-402ppc.diff
  * p_xft.diff
  * p_xterm-u8.diff
  * p_xterm_trailing_blanks.diff
- removed some patches, which are not required any more
  * p_ucs-fonts-75dpi100dpi.diff
  * p_mga_nohal.diff
- removed some never used patches (not required at all)
  * p_mga_g450.diff
  * p_mga_ddc.diff
  * p_fbdev_render.diff
  * p_i810_render.diff
  * p_nopthreads4libGL.diff
  * p_euro.diff
- adjusted some patches for 4.1.0
  * p_drm.diff
  * p_euro_acute2apostrophe.diff
  * p_euro_locale.diff
  * p_lnx_kmod.c.diff
  * p_suse.diff
- adjusted switch2xf86_glx (renamed Glide3/DRI libs)
- c++ compiler (packages gpp/libgpp) now required for building
  GLU libs
- added packages xf86glu/xf86glu-devel for GLU libs (no xf86glu
  source package any more, will be deleted!)
- enabled DRI and Glide3 for Alpha (it looks like DRI with 3Dfx boards
  now works on Alpha)
- libOSMesa is now build also for alpha/ppc
- moved unicode fonts to ucs directories (Bug #8411)
  /usr/X11R6/lib/X11/fonts/ucs/misc
  /usr/X11R6/lib/X11/fonts/ucs/75dpi
  /usr/X11R6/lib/X11/fonts/ucs/100dpi
- no latin2 font directories any more
- SuperProbe now in package xf86_3x
- added some new binaries/libs/files
  * ccmakedep
  * cleanlinks
  * dpsexec
  * dpsinfo
  * glxgears
  * texteroids
  * xfsinfo
  * xftcache
  * xmh
  * libXmuu
  * /usr/X11R6/lib/X11/Options
- lbxproxy now included for all archs
- libxrx now also included for ppc/alpha
- DRI drivers now also for ppc/alpha (should be included now in the k_*
  packages for ppc/alpha)
- *** new *** : vmware driver
- km_drm package no longer empty for alpha/ppc
- some cleanups
* Mon Jun 04 2001 - sndirsch@suse.de
- disabled build of PEX/XIE (obsolete stuff)
- changed version of dummy packages NVIDIA_GLX/NVIDIA_kernel to 0.8
- added %%clean section, to be able to see if there are new files
  with a new build
* Thu May 31 2001 - sndirsch@suse.de
- removed 'insserv' call in %%post of xf86 for SuSE 7.0
- added sourcefile 'xserverrc' of SuSE 7.1 for SuSE 7.0
- added DDC patch for r128 driver (p_r128_ddc.diff)
* Fri May 25 2001 - sndirsch@suse.de
- adjusted xf86.spec/config-dist.sh to use libusb instead of
  usbutils (package was renamed)
* Wed May 23 2001 - sndirsch@suse.de
- Include dri modules on ia64
* Wed May 23 2001 - sndirsch@suse.de
- build now also works with SuSE 7.0/SuSE 7.1
  * added g3ext.h (again)
  * some changes in config-dist.sh
* Tue May 15 2001 - sndirsch@suse.de
- fixes for AA Font problems in konsole (p_xft.diff, Bug #8326)
* Fri May 11 2001 - sndirsch@suse.de
- added X Print Server config files (Bug #8111)
* Thu May 10 2001 - sndirsch@suse.de
- fixed Sig11 of "xterm -u8" if no unicode font can be found (Bug #7843)
* Thu May 10 2001 - sndirsch@suse.de
- p_euro_xtermAppD2.diff: now also for default font the correct font
  is loaded (important for EuroSign!)
* Thu May 10 2001 - sndirsch@suse.de
- added Requires: xf86_glx to xf86glx-devel
* Thu May 10 2001 - sndirsch@suse.de
- some small bugfixes in sis/neomagic driver (p_sis_neomagic.diff)
- replaced  p_euro_deadacutegrave.diff with p_euro_acute2apostrophe.diff
  acute is mapped to apostrophe for iso8859-15; two new variants
  "deadacute" and "deadgraveacute" for symbols/de
- corrected error message in startx, if the X link does not exist (Bug #7848)
- added RENDER support for ati driver (p_ati_render.diff)
- added RENDER support for smi driver (p_smi_render.diff)
- added RENDER support for i740 driver (p_i740_render.diff)
- /usr/lib/libGL.so is now a symbolic link to the correct libGL.so.1
  instead of a binary; resolves ldconfig confusion (Bug #7901)
- added libGL.so.1 to "Provides:" of xf86_glx
- all driver updates (sis/neomagic/ati/smi/i740) tested and verified
  (including RENDER support) by eich/sndirsch
* Sun May 06 2001 - sndirsch@suse.de
- replaced sis driver of XFree86 4.0.3 with sis driver of devel
  branch (some changes from Egbert)
- changed Makefile.module for km_drm package, so that only for
  kernel 2.2 DRM modules are installed; for kernel 2.4 the DRM
  modules which come with the kernel sources must be used
- removed wrong patch p_euro_acute2apostrophe.diff
- new patch p_euro_deadacutegrave.diff: acute/grave are now also
  dead keys for de(nodeadkeys), acute is mapped on apostrophe as
  there is no acute symbol in ISO8859-15
- removed %%define for RPM postinstall
* Fri May 04 2001 - mfabian@suse.de
- make xfs init script comply with latest LSB spec
* Fri May 04 2001 - sndirsch@suse.de
- smi patch (p_smi.diff):
  * enabled ZoomOnLCD option (stretching feature)
  * output of "Panel Size" enabled; required for SaX2
* Fri May 04 2001 - sndirsch@suse.de
- patch /etc/X11/XF86Config in %%post of xf86 to remove the line
  FontPath      "/usr/X11R6/lib/X11/fonts/misc"
  because scaled misc fonts look very ugly (Bug #7565)
* Thu May 03 2001 - sndirsch@suse.de
- replaced 4.0.3 smi driver with much better CVS smi driver
  (silicon_motion.tar.gz)
* Wed May 02 2001 - sndirsch@suse.de
- replaced savage driver with latest driver of Tim Roberts and
  some patches of Egbert Eich (suse.savage.tar.gz)
- removed unused sav40.tar.gz source
* Mon Apr 30 2001 - werner@suse.de
- Change for the common european languages due to the move from
  ISO-8859-1 to ISO-8859-15 the symbol `acute' to `apostrophe'.
* Thu Apr 26 2001 - werner@suse.de
- Fix calculation of the trailing blanks in xterm
  to fix drawing of YaST and others.
* Tue Apr 24 2001 - sndirsch@suse.de
- changes in driver_options.sh
  * options for r128, radeon added
  * correct options for ati, nvidia, firegl1, firegl23
- added p_euro_xtermAppD.diff by Michael Schroeder <mls@suse.de>
* Fri Apr 20 2001 - schwab@suse.de
- Fix portability bugs in Wraphelp.c.
* Wed Apr 18 2001 - sndirsch@suse.de
- replaced p_euro.diff (suggestions by Markus Kuhn); disabled for now
- added p_euro_locale.diff (patch for locale.alias/locale.dir)
- added p_euro_localefont.diff by Michael Schroeder <mls@suse.de>
- new locale.awk
- added ISO8859-15 fonts for 75dpi/100dpi
* Tue Apr 17 2001 - sndirsch@suse.de
- added trident/smi patches of Egbert (p_egbert_trident.diff/
  p_egbert_smi.diff)
* Fri Apr 13 2001 - sndirsch@suse.de
- added mga patch, so that HALlib is no longer used by default,
  specify 'Option "NoHal" "no"' to use HALlib; MGA G450 does not
  require HALlib any more, only G200/G400 for Multihead/TV out
  support
* Wed Apr 11 2001 - sndirsch@suse.de
- replaced mga driver with Matrox driver Beta 1.2.0 (April 3, 2001)
- removed HALlib.tar.gz (already included in mga-1_2_0beta.tgz)
- disabled p_mga_g450.diff (not required any more)
- replaced Savage driver 1.1.15 with official XFree86 4.0.3 driver
  again
* Tue Apr 10 2001 - sndirsch@suse.de
- added subpackages NVIDIA_GLX/NVIDIA_kernel for Dummy nvidia
  2D/3D driver; these packages can be easily updated with YOU or
  the download of these packages from the nVidia webserver to use
  the real 3D hardware accelerated nVidia driver
* Thu Apr 05 2001 - sndirsch@suse.de
- disabled DRI support for axp
- added Savage 1.1.15 driver (sav40src.tgz)
- new p_egbert.diff
  * bugfixes for drivers: r128, radeon, chips, cirrus, glint, mga, tga, neomagic
  * other bugfixes: compiler.h, xf86cmap.c, int10, os-support, xf4bpp, LBX, xdm
- removed p_lbx.diff (patch already included in new p_egbert.diff)
- removed some hunks in p_vga16.diff (already included in new p_egbert.dif)
* Sun Apr 01 2001 - sndirsch@suse.de
- g3ext.h only exists on i386, so it is only copied on this
  architecture
* Mon Mar 26 2001 - sndirsch@suse.de
- mapped AltGr+e to currcency symbol (was EuroSign before), so Euro
  symbol can be displayed when an ISO8859-15 font is used (Euro
  symbol is mapped on currency slot in ISO8859-15 fonts) -> euro.dif
- DRM kernel modules are now installed to kernel/drivers/char/drm
  instead of video (Makefile.module)
- renamed patches to p_<previous_patchname>.diff
- moved g3ext.h to package glidesdk
- moved fetchmsttfonts, xf86debug and xf86version to package xf86tools
- removed sourcefile glxext.h, use now the one which comes with XFree86
* Fri Mar 23 2001 - sndirsch@suse.de
- dependancy changes acccording to http://w3.suse.de/~kkaempf/dep/dep.html
- removed package cardmods (/etc/X11/CardModules included in package xf86)
* Thu Mar 22 2001 - sndirsch@suse.de
- added '/lib/cpp' to Requires: of xf86 (needed by xrdb)
* Tue Mar 20 2001 - sndirsch@suse.de
- updated to release 4.0.3
- adjusted patches
  * suse.dif
  * egbert.dif
- added usb.dif to be able to link with static libusb, without
  having to remove libusb.so manually
- removed freetype sources (now included in xf86 sources)
- g3ext.h now in ./include instead of /usr/include/glide3
- mesadev stuff no longer removed (mesadev was already not longer
  included in #neededforbuild)
- /usr/X11R6/lib/X11/XftConfig is now removed before the SuSE
  specific one is copied to this location
* Thu Mar 15 2001 - sndirsch@suse.de
- startx is now installed with the correct permission (755)
* Thu Mar 15 2001 - stepan@suse.de
- enabled drivers for alpha axp.
* Tue Mar 13 2001 - sndirsch@suse.de
- fixed startx problem by Werner Fink (Sourcefile: startx, Bug #6619)
- fixed PAM problem in xdm by Werner Fink (xdm_pam.dif, Bug #6637)
* Fri Mar 09 2001 - schwab@suse.de
- Fix vga16 server for ia64.
* Fri Mar 09 2001 - sndirsch@suse.de
- added lbx.dif: fixes server crash when lbxproxy client runs on
  a big endian machine
* Wed Mar 07 2001 - sndirsch@suse.de
- renamed package xf86glxd --> xf86glx-devel
* Wed Mar 07 2001 - sndirsch@suse.de
- removed mesadev from neededforbuild
- commented out temparily GLU/glut files
* Sun Mar 04 2001 - sndirsch@suse.de
- switch2xf86_glx: first probe if Voodoo4/5 is available in testmode
- fetchmsttfonts: new URLs for TT fonts (one was obsolete)
- added /usr/share/doc/packages/xf86 (symlink to /usr/X11R6/lib/X11/doc)
- updated to latest 4.0.2 CVS release
* Wed Feb 28 2001 - sndirsch@suse.de
- adjusted switch2xf86_glx script for creating/testing/removing
  /usr/lib/libglide3.so.3 symbolic link (Glide3/DRI libraries
  are now located without conflicts in /usr/lib/glide)
* Tue Feb 27 2001 - schwab@suse.de
- Don't try to disable interrutps on ia64.
* Mon Feb 26 2001 - sndirsch@suse.de
- includes now HALlib of Matrox 1.01.05 driver
- increased MaxClock for Multihead
  * G400: 135 Mhz (before: 112 MHz)
  * G450: 234 MHz
- corrected error message for disabling DRI in 32bp for
  3Dfx boards <= Voodoo3
- removed wmlist from suse.dif (now in package susewm)
* Sat Feb 10 2001 - sndirsch@suse.de
- some changes to make it buildable on 7.0-s390
  * adjustments in config-dist.sh similar to 7.0-i386
  * moved /usr/X11R6/lib/X11/xkb to /etc/X11/xkb
  * no Wacom USB support for s390
- removed lbxproxy from filelist for s390, ppc, sparc and sparc64
  (lbxproxy on big endian machines crashes X Server, at least on i386)
* Thu Feb 08 2001 - mfabian@suse.de
- add start script, rc.config entry for xfs and new
  config file for xfs.
* Wed Feb 07 2001 - sndirsch@suse.de
- does not remove links in %%postun of xf86_glx during an update any more
* Tue Feb 06 2001 - ro@suse.de
- xclock: Clock.c include time.h before ClockP.h
* Sun Feb 04 2001 - sndirsch@suse.de
- Update problems of xf86 package now hopefully fixed
  * pre/post/postun scripts for creating/removing symbolic links rewritten
  * triggerun/triggerpostun scripts deleted
  * ghost entries for symbolic links added (again) (/usr/X11R6/lib/X11/$i/*)
  * symbolic links are now relative --> no problems with autobuild
  (/usr/X11R6/lib/X11/$i --> ../../../../etc/X11/$i )
- disabled MMX, 3DNow and Katmai support for Mesa
* Sat Jan 27 2001 - sndirsch@suse.de
- changed second entry of "key <KPDL>" from KP_Seperator to
  KP_Decimal for de_CH keymap
* Wed Jan 24 2001 - kukuk@suse.de
- Fix xkb file for US-Sun-Keyboard
* Wed Jan 24 2001 - sndirsch@suse.de
- removed xf86_glx conflicts with
  * mlx
  * glxriva
  * glxrage
  * glxg200
  * NVIDIA_GLX
* Thu Jan 18 2001 - sndirsch@suse.de
- changed doubleclick separators of xterm for PPC
- some changes in config-dist.sh for compilation/use on SuSE 7.0-i386
  systems
- updated to latest Matrox HALlib (G450 support now better?)
* Thu Jan 18 2001 - sndirsch@suse.de
- libGL.so.1.2.xf86_glx is now located in /usr/lib/GL (problems
  with "ldconfig")
* Sat Jan 13 2001 - sndirsch@suse.de
- fixed showstopper in switch2xf86_glx script (Bug #5316)
* Fri Jan 12 2001 - sndirsch@suse.de
- small patch for trident driver from Egbert (font fix for 9540)
* Thu Jan 11 2001 - sndirsch@suse.de
- small patch for chips driver from Egbert
- set xterm to root.tty 2755
* Thu Jan 11 2001 - sndirsch@suse.de
- some more patches from Egbert for trident driver
* Wed Jan 10 2001 - sndirsch@suse.de
- changed real/effective user ID to 0/0 before exec of modprobe to
  load DRM kernel modules, as for some DRM modules agpgart must be
  preinstalled; this is done in a child process before the exec call,
  so it should be secure
* Mon Jan 08 2001 - sndirsch@suse.de
- libXv is now build as shared library instead of static as some DVD
  players require the shared library
* Mon Jan 08 2001 - sndirsch@suse.de
- some more bugfixes for Neomagic, Trident and Chips driver of Egbert
- all patches of Egbert are now in one patch (egbert.dif)
- you don't have to execute switch2xf86_glx any more with complete path
* Sat Jan 06 2001 - kukuk@suse.de
- On SPARC, rename fbdev_drv.o to fbdev_drv.o.problematic to
  avoid all the problems with not working framebuffer driver
* Fri Jan 05 2001 - sndirsch@suse.de
- added Egbert's patches 2 and 3 with many bugfixes for the
  following drivers
  * Chips & Technologies
  * Matrox
  * Neomagic
  * 3Dfx
  * Tseng
  * Vga(16)
  * Trident
- enabled build of tdfx driver for PPC
* Fri Jan 05 2001 - sndirsch@suse.de
- added xf86_402-402ppc.dif (only used for PPC!)
* Tue Jan 02 2001 - sndirsch@suse.de
- removed empty xfntbig package (obsolete in xf86 package is set!)
* Sat Dec 30 2000 - kukuk@suse.de
- Remove sparc patch
* Fri Dec 29 2000 - sndirsch@suse.de
- added Option "SwappedHead" for G450 boards (mga_g450.dif)
- adjusted DRM sources to Kernel 2.4-test12
* Wed Dec 27 2000 - sndirsch@suse.de
- added Egbert's patch with many bugfixes for the following drivers
  * Cirrus Logic (especially GD 5480)
  * Matrox
  * Neomagic
  * Trident
  * Tseng
* Thu Dec 21 2000 - sndirsch@suse.de
- corrected locale.awk script (Egbert Eich)
* Wed Dec 20 2000 - sndirsch@suse.de
- create package km_drm only for i386
* Mon Dec 18 2000 - sndirsch@suse.de
- updated to final release 4.0.2
- disabled building of mga driver with HALlib for all platforms
  other than i386
- enabled building of ati driver for ppc
* Sun Dec 17 2000 - sndirsch@suse.de
- updated to release 4.0.1Zc (4.0.2RC4)
- removed patches, which are already in 4.0.1Zc
  * ia64.dif
  * mga_hal.dif
  * remove_traditional.dif
  * turkish.dif
  * xf86Config.dif
* Fri Dec 15 2000 - sndirsch@suse.de
- updated to Freetype 2.0.1
* Fri Dec 15 2000 - sndirsch@suse.de
- removed XftConfig.dif (not required any longer)
- replaced XftConfig file (new format)
- removed package xtermttf
* Thu Dec 14 2000 - sndirsch@suse.de
- defined "feedback@suse.de" for XFree86 bug reports instead of
  "xfree86@xfree86.org"
- added HALlib support for mga driver (can be turned off with
  'Option "NoHal"' in XF86Config)
- enabled Freetype2 and DRI support for PPC again
* Wed Dec 13 2000 - werner@suse.de
- Distinguish between kdm of KDE and KDE2
* Wed Dec 13 2000 - werner@suse.de
- Use sessreg of xf86
  * set :<display>/<host> as line over tcpip for utmp/wtmp
- Allow horizontal scroll of XConsole
* Tue Dec 12 2000 - werner@suse.de
- New xterm-patches.tar.gz
  * xterm configuration
  + our app-defaults XTerm -> xterm-keybind.dif
  + keyboards, ansi color  -> xterm-simple.patch
  * suid/sgid switch patch   -> xterm-privilege.patch
  * Unicode patch seems to be obsolate
- Change spec because xterm.tar.gz is removed
- Add a secure sux script which avoid magic cookies on cmdline
* Tue Dec 12 2000 - sndirsch@suse.de
- replaced 'id -u' with 'echo $UID' in switch2xf86_glx
- corrected options for Fire GL1 board
* Mon Dec 11 2000 - werner@suse.de
- Fix sys.xsession (bug#4182)
- Sync sys.xsession with /etc/skel/.xsession
* Sat Dec 09 2000 - sndirsch@suse.de
- added root verification in switch2xf86_glx
* Thu Dec 07 2000 - ro@suse.de
- removed latin2.dif (broke all gtk applications)
* Tue Dec 05 2000 - sndirsch@suse.de
- adjusted spec file for 7.0-i386 via config-dist.sh
* Tue Dec 05 2000 - sndirsch@suse.de
- updated to release 4.0.1h (feature freeze!)
- adjusted sparc.dif + suse.dif + turkish.dif
- adjusted file list (libX11/libXmu are now version 6.2)
* Mon Dec 04 2000 - sndirsch@suse.de
- added latin2.dif of Jiri Smid <smid@suse.cz> (Bug #3831)
- removed Source glext.h (not required any more)
- disabled usb.dif except for PPC
- disabled DRI Support for PPC
- many changes for subpackage xf86glxd as package mesadev has changed
  a lot
* Sat Dec 02 2000 - sndirsch@suse.de
- added Euro entries for locale.alias (Werner's locale.awk does this)
* Thu Nov 30 2000 - sndirsch@suse.de
- reversed patch from Egbert of xf86Config.c (3.230 --> 3.231) as
  it ignores now completely the Modes section (xf86Config.dif)
- replaced obsolete usb with usbutils in #neeededforbuild line
- updated to release 4.0.1g
- removed xvfb.dif (already in 4.0.1g)
- minor changes in suse.dif (required for 4.0.1g)
- disabled Xftconfig.dif (libXft now uses Type1 instead of Truetype)
- added kde1 to wmlist
* Wed Nov 29 2000 - sndirsch@suse.de
- added /etc/X11/xkb/xkbcomp again to filelist (required to use
  XKB keymap)
* Mon Nov 27 2000 - sndirsch@suse.de
- added traditional Chinese Font Aliases for Netscape
- removed /etc/X11/xkb/xkbcomp executable from xf86 filelist
  (already in /usr/X11R6/bin)
- fixed update bug (empty /usr/X11R6/lib/xkb directory, should be a
  link to /etc/X11/xkb directory)
- added turkish keyboard support (turkish.dif)
* Mon Nov 27 2000 - schwab@suse.de
- Don't include <asm/io.h> on ia64.
* Fri Nov 24 2000 - sndirsch@suse.de
- added "-test" option for "switch2xf86_glx" skript
* Fri Nov 24 2000 - sndirsch@suse.de
- some corrections in fetchmsttfonts skript
* Thu Nov 23 2000 - sndirsch@suse.de
- moved GLw* manpages from xman --> xf86_glxd to remove conflicts
  between xman <--> mesadev
- added new files to filelist
* Thu Nov 23 2000 - sndirsch@suse.de
- added /usr/X11R6/bin/xf86debug to xf86 filelist
* Wed Nov 22 2000 - kukuk@suse.de
- Add pam_devperm to pam.d/xdm
- Add requires to pam_devperm
* Wed Nov 22 2000 - sndirsch@suse.de
- updated freetype2 library to final release 2.0
- fixed Wacom USB driver
* Tue Nov 21 2000 - sndirsch@suse.de
- updated to release 4.0.1f
- added wacomUSB driver
* Tue Nov 14 2000 - ro@suse.de
- don't remove "-traditional" but build makedepend without "-traditional"
* Tue Nov 14 2000 - ro@suse.de
- bump version to 4.0.1e
* Tue Nov 14 2000 - sndirsch@suse.de
- removed fonts.scale/fonts.dir in /usr/X11R6/lib/X11/fonts/CID
- added xf86debug skript to get easily gdb backtraces, if the
  X Server segfaults
* Tue Nov 14 2000 - ro@suse.de
- added patch to remove the "-traditional"
* Mon Nov 13 2000 - sndirsch@suse.de
- some changes to fetchmsttfonts skript, demanded by our legal
  department (Ole Weigel in this case)
* Wed Nov 08 2000 - sndirsch@suse.de
- added readlink function to switch2xf86_glx
- updated to release 4.0.1e
* Mon Nov 06 2000 - sndirsch@suse.de
- fixed switch2xf86-3x skript for PPC
- added Render fix for Xvfb (xvfb.dif)
* Sat Nov 04 2000 - kukuk@suse.de
- Remove wrong Requires.
- Remove duplicated SPARC patches
* Fri Nov 03 2000 - sndirsch@suse.de
- packages now provide also Redhat package names
- removed encodings.dir files from filelist
* Thu Nov 02 2000 - sndirsch@suse.de
- added usb.dif (removing of libusb.so* no longer necessary)
- defattr(-, root, root) added to all %%files sections,
  "-o root -g root" now not longer necessary for 'install'
* Mon Oct 30 2000 - sndirsch@suse.de
- updated to release 4.0.1d
- removed patches which are no longer required (glide.dif,
  geometry.dif, parts of sparc.dif)
- adjusted to S/390 architecture
- added %%triggerun/%%triggerpostun, adjusted %%post section of xf86
  package (the idea comes from nadvornik@suse.cz), so all %%ghost
  entries could be removed which caused trouble on our build machines
  as always /etc/X11/* was removed when the xf86 package was removed,
  although this was done for a chroot environment
* Fri Oct 27 2000 - ro@suse.de
- fixed freetype for alpha
* Sat Oct 14 2000 - sndirsch@suse.de
- updated to CVS release 20001014
- removed fixes.dif (already in CVS)
- added Freetype2 support
- xterm of official XFree86 tree is now used again (Freetype2 support)
- added glide.dif (small fix)
- adjusted file list for new binaries and libraries
- added xtermttf package
- added geometry.dif; Workaround for error message: "XtMakeGeometryRequest -
  parent not composite", which occurs e.g. when any buttons are pressed
  in gv or xfontsel
- added XftConfig file (required to use TT Fonts)
- added fetchmsttfonts (skript for fetching and installing MS Truetype Fonts)
- replaced readlink command in xf86version skript with a awk construct, as
  readlink is only available if tetex is installed
* Fri Oct 13 2000 - sndirsch@suse.de
- xf86version script replaced
- secure xserverrc file is now used for xinit/startx (aaa_skel package
  added to #neededforbuild for this); other users now won't be able
  to read from or write to DISPLAY any more
* Thu Oct 12 2000 - sndirsch@suse.de
- removed ppc.dif (not required any longer)
- added fixes.dif (small fixes required for PPC/AXP/Sparc)
* Fri Oct 06 2000 - sndirsch@suse.de
- updated to CVS release 20001003
- removed ia64.dif (already in CVS)
- some changes in drm.dif to enable i810 support for i386 machines
- xf86_glx package now no longer conflicts with other libGL
  packages, added switch2xf86_glx script for this
* Fri Sep 29 2000 - kukuk@suse.de
- Enable sparc patch
* Fri Sep 29 2000 - kukuk@suse.de
- Set version number to 4.0_20000924CVS (so we can update later)
- Add sparc.dif
- Fix filelist for SPARC
* Thu Sep 28 2000 - sndirsch@suse.de
- libOSMesa not available for Alpha + PPC
- libxrx not available for PPC
* Thu Sep 28 2000 - sndirsch@suse.de
- moved pixmaps from subpackage xdevel to subpackage xf86
- disabled DRM support for SiS chips
- added glext.h/glxext.h include files for OpenGL Development
  to subpackage xf86glxd
- added ppc.dif
* Mon Sep 25 2000 - sndirsch@suse.de
- added "#define BuildHtmlManPages NO" to host.def after
  installation (workaround)
* Wed Sep 20 2000 - sndirsch@suse.de
- updated to recent CVS sources 00-09-20 (Egbert has committed all
  patches in this version now)
- added ia64.dif and minor changes in Specfile for build on ia64
  of Andreas Schwab <schwab@suse.de>
* Tue Sep 19 2000 - sndirsch@suse.de
- added missing GLU/glut header files of mesadev
* Sun Sep 17 2000 - sndirsch@suse.de
- updated to recent CVS sources 00-09-14
- removed all patches, that are/will be included in the official
  xf86 CVS tree (Egbert is still working on this issue)
- TODO: PPC keyboard mapping
* Mon Sep 04 2000 - sndirsch@suse.de
- moved .so files to glxdev (no longer symbolic links)
* Tue Aug 29 2000 - ro@suse.de
- added arch-config for s390
* Thu Aug 03 2000 - sndirsch@suse.de
- marked some config files as %%config in filelist
- added security fixes and a bugfix for Vidmode Extension,
  from Egbert and Keith (auread_vmode.dif)
* Wed Aug 02 2000 - sndirsch@suse.de
- fixed authentication security hole introduced with 3.9Np (auth.dif)
* Wed Aug 02 2000 - werner@suse.de
- Fix bug within Xresources (bug# 3655)
* Fri Jul 21 2000 - kukuk@suse.de
- Add sun config files for xkbrules
* Fri Jul 21 2000 - sndirsch@suse.de
- added r128 patch from Egbert (fixes initialization of Rage 128
  chip; useful if a second server is started in another color depth,
  e.g. SaX2 and YaST2 do that!)
- minor change in Macintosh keyboard layout
- xdm bugfix: now xdm can also work with LANG variables which are
  unknown for X11 (e.g. german)
* Tue Jul 18 2000 - sndirsch@suse.de
- fixed reading of compressed xpm files (xpm.dif)
* Mon Jul 17 2000 - sndirsch@suse.de
- added macintosh_xkb_update.dif from Olaf
- added security fix (security.dif)
* Mon Jul 17 2000 - kendy@suse.cz
- added corr_noniso1_inp.diff (correctes broken input of non iso1 characters)
- added xkb-cs-40.dif (fixes xkb/symbols/cs and creates xkb/symbols/cs_qwerty)
* Tue Jul 11 2000 - sndirsch@suse.de
- removed dri.dif (replaced by eich.dif)
- added some bugfixes from Egbert Eich (eich.dif)
- added tdfx.dif (fixes the requirement for loading the dri module)
- disabled bigfonts
- replaced r128 driver of 4.0 with r128 driver of 4.0.1 (4.0 driver
  was totally broken!)
- added misc extension patch from Egbert Eich (miscext.dif) to enable
  the possibility to switch between serial mouse protocols (mouse
  initialization was missing)
- added format line for /etc/X11/CardModules
* Fri Jul 07 2000 - werner@suse.de
- Make xdm configuration better working together with gdm
  (we need to read our Xresources!)
* Mon Jul 03 2000 - sndirsch@suse.de
- added DGA mouse patch from Keith Packard (required for Q3 Arena!)
* Tue Jun 27 2000 - kukuk@suse.de
- Don't include framebuffer driver for SPARC
* Sun Jun 25 2000 - sndirsch@suse.de
- addded some more patches from Egbert Eich / Keith Packard
- addded OverridePolarity Option for "nvidia" driver
- added Compose Key Fix (missing Compose files)
- removed fbdev patches of eich_keitp.dif, which broke fbdev
  support completely
* Sat Jun 24 2000 - sndirsch@suse.de
- corrected dri.dif (required for empty DRI sections in XF86Config)
- changed SuSE entry in wmlist to DyDe
* Fri Jun 23 2000 - sndirsch@suse.de
- bugfix for xdm key bindings (Werner Fink)
- added xkill patch
- removed "Requires: sax2" from xloader package
* Tue Jun 20 2000 - sndirsch@suse.de
- removed DRI sources
- added eich_keithp patch
- removed patches already included in eich_keithp patches
  * dga_apm_rac.dif
  * videologic_xf86_40.dif
  * xdm.dif
- removed kernel-config (not required any more)
- adjusted mesa.dif
- added /usr/X11R6/bin/X symbolic link to /var/X11R6/bin/X
- moved /usr/X11R6/lib/lib*.so from xshared to xdevel, lib*.so.*
  still remains in xshared
* Sat Jun 17 2000 - sndirsch@suse.de
- removed '%%patch18'
* Fri Jun 16 2000 - sndirsch@suse.de
- added entry for Fire GL1 boards in /etc/X11/CardModules
- added Manual Pages for DGA, Misc and VidMode Extension
- added /var/X11R6/bin directory to xf86 package
* Mon Jun 12 2000 - ro@suse.de
- next try to fix greeter/Login.c :(
* Sun Jun 11 2000 - ro@suse.de
- really fixed xdm.dif to apply ...
* Sat Jun 10 2000 - ro@suse.de
- fixed xdm.dif
* Fri Jun 09 2000 - werner@suse.de
- Add missed "'s within defaultLoginTranslations of xdm
- New xterm version 136 (security fix included)
- Reenable GiveConsole and TakeConsole as
  GiveDevices and TakeDevices in SuSE's xdm configuration
* Wed Jun 07 2000 - sndirsch@suse.de
- added xkb-buffer_overflow.dif
- disabled Autoreqprov for xmodules, Provides/Requires are now
  manually set
- added /var/X11R6/xkb/compiled for 3.3.6 X Servers
* Tue Jun 06 2000 - kukuk@suse.de
- Add dummy Xmodmap for SPARC
* Sun Jun 04 2000 - sndirsch@suse.de
- added truetype font directory
- disabled creating of debug information for the static X11
  libraries (saves much space)
- outsourced DRM kernel modules stuff to package km_drm
- moved Xmodmap/Xmodmap.remote to /etc/X11 for FHS 2.1 compliance
* Fri Jun 02 2000 - sndirsch@suse.de
- added xf86version skript
- replaced "Alias:" lines in PAC files with "Obsoletes:" lines
  in Spec file
* Wed May 31 2000 - kukuk@suse.de
- sparc.dif update
* Tue May 30 2000 - sndirsch@suse.de
- added switch2xf86-3x/switch2xf86-4 skripts for switching between
  XFre86 3.3.6 and 4.0 (also used by YaST2)
- added option entry for "nvidia" driver
- added package 'xfiregl1' as Conflict with package 'xf86_glx'
* Sun May 28 2000 - sndirsch@suse.de
- DRI which comes with XFree86 4.0 is now used again
- added xfontsel to filelist (was missing in CVS DRI)
- moved xinit --> xinit4 and xf86config --> xf86config4, so that
  also xinit/xf86config of XFree86 3.3.X can be installed (package
  xf86_3x); xinit/xf86config (symbolic link) is created in %%post
  of xloader
- added Xsun* to possible X Servers for startx
* Thu May 25 2000 - werner@suse.de
- Fix xdm key binding, insert-char() only works for <Key> not
  <KeyPress> anymore.
- Install xdm.pamd as /etc/pam.d/xdm
- Define LIBDIR for making scripts xinitrc and startx
- Use default size for Xconsole (xdm configuration)
- Remove doubles in system Xresources
- don't apply basename to -- or `' in startx
- New driver_options.sh (minor changes:)
* Tue May 23 2000 - sndirsch@suse.de
- added skript for generating driver option list required for sax2,
  list (/etc/X11/CardModules) is included in package cardmods
- added some missing files to filelist
- Vidmode + DGA are now compiled also as shared libraries
* Mon May 22 2000 - sndirsch@suse.de
- added /usr/X11R6/bin/XFree86 as possible X Server for startx
* Fri May 19 2000 - werner@suse.de
- Make shared greeter lib compatible with PAM usage
- Make shared greeter lib work even on SystemV4
- Disable shared greeter lib by default for Linux
* Fri May 19 2000 - sndirsch@suse.de
- fixed secauth.dif
- some changes in config-dist.sh for other SuSE versions than
  libc5 and i386
- "#neededforbuild+=-lx_suse + lx_hack" required for DRI
- added package xf86glxd (include files and static lib for
  Mesa 3.3)
* Thu May 18 2000 - werner@suse.de
- Fix loaderProc.h header location
- Add secauth.dif
* Thu May 18 2000 - werner@suse.de
- Add more missed changes
- Extent mesa.dif
* Wed May 17 2000 - werner@suse.de
- `Backport' of most patches done for 3.3.X (suse.dif and xdm.dif)
  * security
  * bugs
  * changes and addons
- FHS-2.1 requires /var/lib/ and NOT /var/state/ (stupid, I know)
- Move wmlist and sux into suse.dif
- Add xditview into programs/Imakefile (suse.dif)
* Wed May 17 2000 - sndirsch@suse.de
- pre/post/postun for package xf86 rewritten
- added %%ghost for symbolic link files in /usr/X11R6/lib/X11
* Tue May 16 2000 - werner@suse.de
- Update XDM configuration tar file
- Use the Xresource file from above
* Fri May 12 2000 - schwab@suse.de
- Fix for ia64.
* Tue May 09 2000 - bs@suse.de
- fixed config.dist (BUILD_DIST is not set in autobuild mode)
* Mon May 08 2000 - sndirsch@suse.de
- removed Requires:glide from xmodules
- added Requires:ttmkfdir to xf86 (mkfontdir for Truetype Fonts)
- removed xf86_40 subpackage
* Sun May 07 2000 - sndirsch@suse.de
- removed /usr/X11R6/lib/libGL.a from xdevel (caused build of many
  OpenGL apps to fail)
- moved xf86config from xf86 -> xloader
- InternalMalloc is no longer used (this change is required for
  Loki's Erics Ultimate Solitaire)
- removed xf86misc and joystick patch
- added requires+=agpgart for xmodules (needed for i810)
* Sat May 06 2000 - kasal@suse.de
- removed /usr/X11R6/libz.a from xdevel (it caused xmame build to fail)
* Thu May 04 2000 - sndirsch@suse.de
- force building of static libraries in addition to shared
  libraries
- minor changes in filelists (xdevel/xf86_glx)
* Thu May 04 2000 - kukuk@suse.de
- prevent moving of app-defaults on "make install" by Makefiles
  generated by imake (imake_install.dif)
* Wed May 03 2000 - kukuk@suse.de
- Enable libxrx plugin on SPARC and PPC
* Tue May 02 2000 - sndirsch@suse.de
- changes in filelist of xmodules
- added config-dist.sh
* Tue May 02 2000 - sndirsch@suse.de
- app-defaults now in /usr/X11R6/lib/X11/app-defaults instead of
  /etc/X11/app-defaults
- corrected pos_stc_env.dif
* Fri Apr 28 2000 - sndirsch@suse.de
- added posix_stdc_env.dif patch (fixes problems with redefinition
  of wchar_t) of kasal@suse.de
- added xdm.dif patch of Egbert Eich
- added patch for Videologic Grafixstar 550 (CL-GD5464) of
  Egbert Eich
- added xf86_glx package (XFree86 4.X GLX driver)
* Thu Apr 27 2000 - sndirsch@suse.de
- added kde2 to wmlist
* Thu Apr 27 2000 - kukuk@suse.de
- fix to build on SPARC
* Wed Apr 26 2000 - sndirsch@suse.de
- corrected "%%ifarch axp" --> "%%ifarch alpha"
- some file list changes for PPC and Sparc
* Wed Apr 26 2000 - sndirsch@suse.de
- removed PEX fonts for AXP
- libglide2x.so module symbolic link only for i386
* Tue Apr 25 2000 - ro@suse.de
- restart on xf86-4.0 from BETA tree
* Fri Apr 14 2000 - sndirsch@suse.de
- workaround for possible compiler bug triggered in I128 X Server
* Wed Apr 12 2000 - werner@suse.de
- Integrate patch from Stefan Dirsch
* Wed Apr 12 2000 - werner@suse.de
- Fix BUG in input method handling to avoid SIGSEGV (aka Netscape
  Bus error) due call of local filter on destroyed window.
* Mon Apr 10 2000 - werner@suse.de
- Even more: reduce optimization for Callback.o and Destroy.o in
  libXt to help Netscape.
* Mon Apr 10 2000 - schwab@suse.de
- Fix 64 bit problems.
* Mon Apr 03 2000 - bk@suse.de
- filelist fix on s390(no x server or linkkit documentation on s390)
* Sun Apr 02 2000 - bk@suse.de
- add support for s390 and archs without Xservers or 3D support
* Tue Mar 28 2000 - sndirsch@suse.de
- X Server now uses vt07 also on PPC and Sparc (xdm config)
- added sawmill to wmlist
* Tue Mar 28 2000 - sndirsch@suse.de
- corrected install error for 'sux' script
* Mon Mar 27 2000 - sndirsch@suse.de
- changed the 'keycode 22' entry of Xmodmap
- added 'sux' script from Werner
* Mon Mar 27 2000 - ro@suse.de
- removed -mev6 for alpha
* Thu Mar 23 2000 - olh@suse.de
- add powerpc keycodes, should work now with ps/2 keyboards
  use "powerpcps2" instead of "pc104" on CHRP and PReP
* Tue Mar 21 2000 - sndirsch@suse.de
- integrated Harald Koenig's S3_TRIO_3D_2X patch
- added 'SuSE' to wmlist
* Thu Mar 16 2000 - olh@suse.de
- update pmac keycodes, should work now on usb and adb
* Wed Mar 08 2000 - werner@suse.de
- Remove O_EXCL open of Xauth files due ssh hold those files open
  (should be investigated more carefully!!)
- Add old patch for a backup
* Wed Mar 08 2000 - werner@suse.de
- Make `stop local display if the Xserver fails' working
* Tue Mar 07 2000 - werner@suse.de
- Remove keycode mapping for german users to global Xmodmap
- Add keycode mapping to de and de_CH xkb symbol table
* Tue Mar 07 2000 - sndirsch@suse.de
- fixed compile errors in xdmcp.c/wrapper.c
- added keycode mapping for german users to global Xmodmap
* Mon Mar 06 2000 - werner@suse.de
- Add Oclock patch from Keith Packard
- Avoid race on open ~/.Xauthority
- Add patch to stop local display if the Xserver fails to often.
- include sys/select.h in Xpoll.h if FD_SETSIZE is not defined
- grabWaiters in Xserver/dix/dispatch.c are 32 bit fields
- czech is cs_CZ.ISO8859-2 not cs_CS.ISO8859-2
- Avoid a few compiler warnings
- Reduce optimization for Callback.o and Destroy.o in libXt
  (may help for Motif applications like Netscape)
* Mon Mar 06 2000 - werner@suse.de
- Add some comments and README.security how to change Xaccess and
  how to enable XDMCP port for remote Xterminals.
* Sat Mar 04 2000 - werner@suse.de
- added some Fontpath entries to xf86config program and sample XF86Config
- minor changes in config-dist.sh/xf86.spec to build on SuSE 6.1/6.2
* Sat Mar 04 2000 - bk@suse.de
- fixed missing dependancy for an xterm:
  xf86:  Added Requires: xterm_program
  xterm: Added Provides: xterm_program
* Fri Mar 03 2000 - werner@suse.de
- Coloring xconsole for xdm
* Fri Mar 03 2000 - schwab@suse.de
- Add support for ia64
* Wed Mar 01 2000 - sndirsch@suse.de
- added Harald Koenig's S3 patch for IBM machines
* Tue Feb 29 2000 - kasal@suse.de
- xf86 should not require "fvwm" but "windowmanager" which is already
  provided by all(?) windowmanagers
* Tue Feb 22 2000 - sndirsch@suse.de
- enabled i810 support (was missing!)
- changed minor device number of agpgarti810 to 240
* Mon Feb 21 2000 - sndirsch@suse.de
- disabled 'Scanline Screen-To-Screen Color Expand' acceleration for
  now to fix font problem in Rage 128 driver
- added xfce windowmanager to 'wmlist'
* Tue Feb 15 2000 - sndirsch@suse.de
- minor bug fix in spec file required for archs other than i386
* Fri Feb 11 2000 - sndirsch@suse.de
- marked app-defaults for xterm as config files
- changed group tag to 'X11/XFree86'
- special 'old' agp module for i810 included again (changed module
  name and device name/numbers), i.e agpgarti810.o, /dev/agpgarti810 174 0
* Thu Feb 03 2000 - olh@suse.de
- add missing targets to xkbcomp symbols Imakefile
* Thu Feb 03 2000 - werner@suse.de
- XDM: Avoid graphical login if normal login is disabled
- XTerm: merge xterm.patch with main patch
* Wed Feb 02 2000 - sndirsch@suse.de
- new subpackage 'xterm', which will conflict with additional
  'xtermutf' package
* Mon Jan 24 2000 - ro@suse.de
- removed agpgart (module and node) from filelist
* Mon Jan 24 2000 - sndirsch@suse.de
- added more greek fonts (package xfntgr)
* Wed Jan 19 2000 - olh@suse.de
- first try of localized mac keyboards :)
* Wed Jan 19 2000 - uli@suse.de
- added plain vanilla Xpmac since Xpmac for Rage 128 won't run
  on old PowerMacs
* Wed Jan 19 2000 - uli@suse.de
- added accelerated servers Xpmac (w/Rage 128 support), Xbh for PPC
* Wed Jan 19 2000 - ro@suse.de
- commented out mknod in %%post section
* Tue Jan 18 2000 - kasal@suse.de
- fixed config-dist.sh to use XFree-3.3.6.dif
- repairing xf86MouseCflags -- affected both XFree-3.3.6{.dif,-sparc.diff}
- use %%{P:3} in specfile -- expands to pathname of Patch3
* Tue Jan 18 2000 - ro@suse.de
- fixed filelist for ppc
- added sparc-patch
* Tue Jan 18 2000 - ro@suse.de
- fixed to build on axp
* Mon Jan 17 2000 - ro@suse.de
- fixed to build on ppc
- fixed to build with DESTDIR
* Mon Jan 17 2000 - ro@suse.de
- specfile fix (agpgart need not be built for 2.3, it's in kernel)
* Sat Jan 15 2000 - ro@suse.de
- specfile changed to work around rpm-bug
* Sat Jan 15 2000 - ro@suse.de
- accept kernel-2.3
* Thu Jan 13 2000 - sndirsch@suse.de
- updated to XFree86 3.3.6 (Big Step!)
* Mon Dec 20 1999 - olh@suse.de
- remove Rage128 from ppc file list
  fix Xmodmap.ppc
* Thu Dec 16 1999 - ro@suse.de
- specfile fix
* Mon Dec 13 1999 - sndirsch@suse.de
- fixed Rage 128 support in SVGA server
- added missing README files for Mach32/Mach64/Riva128 chipsets
* Thu Dec 09 1999 - schwab@suse.de
- Fix xterm crash (missing bounds checking in Terminfo "ich")
* Thu Dec 09 1999 - ro@suse.de
- added link /usr/include/X11 to xdevel package
* Tue Dec 07 1999 - werner@suse.de
- XDM Xsession: Do NOT let overwrite HOME, DISPLAY, and XAUTHORITY
  even if set by /etc/profile and /etc/profile.d/*
- The same for sys.xsession
- Temporary remove Control_R from control modifier during the
  extension with Multi_key
* Wed Dec 01 1999 - uli@suse.de
- added PEX fonts for PPC
* Thu Nov 25 1999 - ms@suse.de
- fixed config-dist.sh
* Fri Nov 19 1999 - kukuk@suse.de
- Add patches for SPARC support
* Tue Nov 09 1999 - werner@suse.de
- Make xconsole smaller if root window is smaller
- undef macro linux for xdm Xresources
* Wed Nov 03 1999 - ro@suse.de
- don't try to build gart-module on non-x86
* Wed Nov 03 1999 - ro@suse.de
- install docs manually; needs to be fixed
* Wed Nov 03 1999 - ms@suse.de
- add xterm patch ( screen.c ) fixed tty get dimensions <werner@suse.de>
- fixed version number from xfcom patch
* Wed Nov 03 1999 - ms@suse.de
- added rage128 support to the SVGA server (XF86_SVGA)
- added i810 support as XFCom server ( package xi810 )
* Sun Oct 31 1999 - ro@suse.de
- added missing pci-ids
* Fri Oct 29 1999 - sndirsch@suse.de
  1509. Trio3D/2X fix and cleanup (#3344, Harald Koenig).
  1508. Fix ViRGE/MX and APM (#3345, Harald Koenig).
  1496. Fix ViRGE driver when starting the server with Linux fbdev enabled
  (#3304, Harald Koenig).
  1493. ATI driver: Rage XC & Rage XL fixes. Rage Mobility support.
  Disable TVOUT feature of 3D Rage (#3263,3312, Marc LaFrance,
  Christian Lupien).
  1491. Fix some problems that prevented use of acceleration on some
  chipsets
  with Trident driver (#3261, Harald Koenig)
  1488. Rage LCD: Fix determination of panel dimensions with older BIOS's.
  Fix panel display problems by ensuring 8-dot character clocks are
  always
  used (#3218, Marc LaFrance).
  1486. Better default memory size for MGA G400 cards (#3201, Matthias
  Scheler).
  1485. Update S3_Savage driver to fall back to traditional register
  setting
  when it encounters a mode not supported by the BIOS (#3198, Tim
  Roberts).
  1482. Extend XF86Setup/xf86config to handle multiple Cards files
  (Dirk Hohndel)
  1481. More SiS fixes (provided by SiS).
* Thu Oct 28 1999 - bs@suse.de
- cleaned neededforbuild.
* Sat Oct 16 1999 - bs@suse.de
- fixed neededforbuild
* Tue Oct 12 1999 - ro@suse.de
- completed tcl/tk switch: tcl/tk are now 8.0 versions
* Sat Oct 09 1999 - ro@suse.de
- specfile fix
* Sat Oct 09 1999 - ro@suse.de
- fixed typo in xconsole.c
* Fri Oct 08 1999 - werner@suse.de
- system Xmodmap's for  serveral architectures
* Thu Oct 07 1999 - werner@suse.de
- Fix the diff patch: No ../file.orig !
- Use -Tlaint1 for geqn and groff
- Use pic for a preprocessor for groff
- Enabel devpts for xconsole
- If available use /dev/xconsole for xconsole
* Wed Sep 29 1999 - sndirsch@suse.de
- fixed problems with localbuffer when using zbuffer/stencil/textures
  on some GLINT 500TX/MX boards
* Tue Sep 28 1999 - sndirsch@suse.de
- disabled PAM Code for Xwrapper to prevent the user being asked for
  his password when he starts the X Server. This must be fixed later
  in a better way ...
- groff is now executed with "-mandoc" and not any longer with "-man"
* Mon Sep 27 1999 - bs@suse.de
- fixed requirements for sub packages
* Mon Sep 20 1999 - ro@suse.de
- added Provides x_server for all servers
- added Requires x_server for x86
- added Requires c_preprocessor for xfsetup
* Thu Sep 16 1999 - sndirsch@suse.de
- bugfix for 3DLabs server (required for Permedia/GLINT boards)
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 02 1999 - uli@suse.de
- preliminary PPC package
* Thu Sep 02 1999 - hohndel@suse.de
- xkbcomp security fix
* Fri Aug 27 1999 - hohndel@suse.de
- update to 3.3.5
- disable remote access to xdm
- add config-dist.sh for building without PAM
* Thu Jul 22 1999 - bs@suse.de
- added XFCom* and XBF* to list of X server for startx
* Tue Jul 20 1999 - hohndel@suse.de
- include a post-3.3.4 Rage LT fix
* Fri Jul 16 1999 - uli@suse.de
- wmlist: changed wmaker to windowmaker as requested by choeger
* Thu Jul 15 1999 - bs@suse.de
- used final version of 3.3.4 sources
- call Check after installation of fonts
* Tue Jul 13 1999 - kukuk@suse.de
- Add nullok to xdm.pamd
* Tue Jul 06 1999 - hohndel@suse.de
- update to XFree86-3.3.4
* Wed Jun 09 1999 - ro@suse.de
- turned off XdmAuth for Alpha: now xdm works
* Wed Jun 09 1999 - ro@suse.de
- xdm: no shared GreeterLib for Linux-Alpha
* Mon Jun 07 1999 - kukuk@suse.de
- Add PAM for Xwrapper and xdm
- xterm: Use /dev/pts
* Thu May 27 1999 - ro@suse.de
- programs/xterm/screen.c add trailing space for egcs on alpha
- programs/xdm/config/Imakefile use DEFAULTVT on alpha as well
* Tue May 25 1999 - werner@suse.de
- Set xdm's Xsetup*, *Console and Log* to %%config
* Tue May 18 1999 - ro@suse.de
- added subpackage: xtga: DEC TGA Xserver
* Tue Apr 27 1999 - werner@suse.de
- Small fix in Backarrow2Delete and Backarrow2BackSpace script
* Thu Apr 15 1999 - werner@suse.de
- Add font aliases for international fonts (aka MULE fonts)
* Wed Apr 14 1999 - hohndel@suse.de
- add Greek fonts package
* Mon Apr 12 1999 - ro@suse.de
- added line for indonesian to locale.alias
* Sun Mar 28 1999 - hohndel@suse.de
- fix security problems with /tmp/.X11-unix
- don't use lx_hack for build.
* Fri Mar 26 1999 - ro@suse.de
- removed link XFCom_SIS
* Wed Mar 24 1999 - ro@suse.de
- p9x00: disabled DPMS extension which broke several cards
  (hohndel@XFree86.org 990324)
* Wed Mar 17 1999 - werner@suse.de
- Integrate extra.patch in our dif file
- Fix a change in verify.c of xdm
- Sort patches
* Wed Mar 17 1999 - ro@suse.de
- added post-3.3.3.1 diff (removed rcs-hunks before)
* Tue Mar 09 1999 - werner@suse.de
- Make xf86config and XF86Setup using URW font link of the
  Type1 fonts of ghostscript
- Make comments in GiveConsole/TakeConsole/LogOn/LogOff clear for
  everyone.
- Avoid double Translations settings in globale Xresources
- Enabel account locking of the shadow package
* Fri Mar 05 1999 - ro@suse.de
- linux.cf: use -Wa,-mev6 on alpha to be able to compile jays patch
* Thu Mar 04 1999 - ro@suse.de
- finally added jay's patch for alpha's
* Fri Jan 29 1999 - ro@suse.de
- added neccessary alpha modifications (in ifarch)
- dont define XXXArchitecture in host.def (done elsewhere)
- use tcl/tk 8.0
* Mon Jan 18 1999 - bs@suse.de
- set version to 3.3.3.1
* Tue Jan 12 1999 - werner@suse.de
- Within GiveConsole and LogOn use RUID=`id -ur $USER` instead of
  UID because $USER is set by xdm/xlogin.
- Add patch 3.3.3.1 to Makefile.Linux
* Mon Jan 11 1999 - hohndel@suse.de
- add i740 cards to Cards file again
* Fri Jan 08 1999 - bs@suse.de
- now ROOT_LOGIN_REMOTE works in all cases :)
* Fri Jan 08 1999 - bs@suse.de
- another try to fix ROOT_LOGIN_REMOTE
* Thu Jan 07 1999 - hohndel@suse.de
- fix missing files for LinkKit
- fixed problem in xdm if ROOT_LOGIN_REMOTE is not set
* Tue Jan 05 1999 - hohndel@suse.de
- merge XFree86-3.3.3.1
* Tue Dec 22 1998 - werner@suse.de
- one liner fix in programs/xdm/config/Xsetup_default
* Mon Dec 14 1998 - bs@suse.de
- sys.xsession: check for PROFILEAD before parsing /etc/profile.
* Mon Dec 14 1998 - bs@suse.de
- added Haralds patch for s3v (StarOffice 5.0 lockup)
* Sat Dec 12 1998 - bs@suse.de
- minor fix in startx
* Fri Dec 11 1998 - bs@suse.de
- removed "-quiet" for starting the X server with xdm
* Wed Dec 09 1998 - bs@suse.de
- added some cards from CDB to Cards for XF86Setup
- added symlinks for xglint and svga server
- added patches to startx and wmlist (from maddin)
* Wed Dec 02 1998 - hohndel@suse.de
- re-add XF86_FBDev server to build process
* Wed Dec 02 1998 - hohndel@suse.de
- once again, merge things
* Tue Dec 01 1998 - werner@suse.de
- Simple security patch for LogOn for foreign roots
  (using /etc/rc.config)
- Remove -fno-force-mem
* Tue Dec 01 1998 - hohndel@suse.de
- add handling of /usr/X11R6/lib/X11/fonts/local
- add xfbdev package
* Mon Nov 30 1998 - hohndel@suse.de
- add XF86_FBDev server
- fix sad bug in XF86_3DLabs
* Sat Nov 28 1998 - hohndel@suse.de
- merge the omitted changes back in
* Fri Nov 27 1998 - bs@suse.de
- fixed file list.
* Fri Nov 27 1998 - hohndel@suse.de
- import XFree86-3.3.3
* Tue Nov 03 1998 - werner@suse.de
- Don't pack /var/run/xdm.pid into the rpm
- Touch /var/log/xdm.error
* Fri Oct 30 1998 - werner@suse.de
- Fix a bug in Xsession
- Add local display handling in LogOn, LogOff, ans Xsetup_default
- Move /var/lib/xdm/xdm-pid to /var/run/xdm.pid
  and set a link from /var/run/xdm.pid to /var/lib/xdm/xdm-pid
- Move /var/lib/xdm/xdm-errors to /var/log/xdm.errors
  and set a link from /var/log/xdm.errors to /var/lib/xdm/xdm-errors
- Add some *Text*Translations for Delete in
  /usr/X11R6/lib/X11/xinit/Xresources
  to get delete-next-character() working on the (most) X programs
* Fri Aug 28 1998 - werner@suse.de
- Add Dirks patch for vgaPCI.c which removes `-quiet' kludge
* Wed Jul 29 1998 - werner@suse.de
- Link X11 libs explicit with libc
- Close sockets of a running chooser in xdm
* Fri Jul 24 1998 - bs@suse.de
- added /usr/X11R6/bin/wmlist to file list.
* Wed Jul 22 1998 - werner@suse.de
- typo fix
* Mon Jul 20 1998 - werner@suse.de
- remove unnecessary undef of TIOCSLTC ... handelt now by HAS_LTCHARS
- use mktemp in gccmakedep if avaliable
- set XFree86Version to 3323
* Mon Jul 20 1998 - hohndel@suse.de
- fixed patch section.
* Sun Jul 19 1998 - hohndel@suse.de
- add preliminary patch 3 (XFree86-3.3.2.3)
- update dif file accordingly
* Wed Jul 15 1998 - hohndel@suse.de
- Fix one small rej case
- Make internal some variables of Xsession readonly
- Use wmlist in startx
* Wed Jul 15 1998 - hohndel@suse.de
- add fix for Riva128 IRQ problem
- add support for XFCom servers to xf86config
- add support for /etc/X11/X in xf86config
* Fri Jul 10 1998 - werner@suse.de
- Make Xsession `user save' ... protect, restore, and (re)set
  system variables to make Xsession mostly work.
* Thu Jul 09 1998 - werner@suse.de
- Add wmlist
* Fri Jul 03 1998 - werner@suse.de
- Small fix in xdm scripts
* Wed Jul 01 1998 - werner@suse.de
- Change to official 3.3.2-patch2 and remove an oneliner out of
  our dif (this on is included in the official 3.3.2-patch2).
- Change Backarrow key handling of xterm to an Xresource and add two
  scripts Backarrow2Delete and Backarrow2BackSpace for switching
  between the two possibilities. Note: Default is Backarrow2Delete!
- Security fix against existing temporary files of gccmdep.cpp and
  mergelib.cpp.  Add a check against tmp1//tmp2 for mkdirhier.sh
- Set sticky bit for /tmp/.X11-unix/ in lib/xtrans/Xtranssock.c
- Security fix against existing temporary files of x11pcomp.cpp.
- Fix segfault of xauth
- Add load message for chooser instead of "Willing to manage"
- Update xdm scripts
- Add new xdm scripts
- Add patch for xf86config.c (handle more than 10 modes)
- Add a minimal host.def.inst for installation
- Fix common in programs/xkbevd/cfgscan.c
- Set XFree86Version to 3322
- Refresh file lists in spec file
- ToDo: FHS for S.u.S.E. 6.0
* Mon Jun 29 1998 - ro@suse.de
- added patch from Dirk for mga hw-cursor
- added patch from Harald for S3/S3V fixes
* Sat Jun 27 1998 - bs@suse.de
- added creation of /var/lib/xdm in install section.
* Mon Jun 15 1998 - ro@suse.de
- switched back to use /lib/cpp
* Fri Jun 12 1998 - ro@suse.de
- changed xfree86/os_support/linux/lnx_jstk.c to be able to
  compile with 2.1.105:
  used v 3.12 from recent src-tree
  disabled timeout set and get if these controls are undefined
- removed Cards.orig from diff (no need to double the length on every
  diff-generation)
* Thu Jun 04 1998 - werner@suse.de
- Few changes for egcs and glibc
- Tidey ip some settings in host.cf
- ToDo: FHS
* Mon May 25 1998 - werner@suse.de
- Incooperate security patch 3.3.2-patch2
- Remove some patches of S.u.S.E. for Xdmcp
  (now included in 3.3.2-patch2)
* Fri May 15 1998 - werner@suse.de
- don't install xload with suid bit
* Tue May 05 1998 - werner@suse.de
- Incooperate security patch 3.3.2-patch1 as *extern* patch
  *Note*: the take&drop patch for xterm is also included
  because with Linux the IDs will be saved (SysV/POSIX)
* Thu Apr 30 1998 - werner@suse.de
- Fix for Xaw security leak in xterm (take and drop root privilege)
- Fix for libXdmcp
- Fix for choose.c of xdm
* Mon Mar 23 1998 - sndirsch@suse.de
  Patch from Harald Koenig:
- The XFree86 3.3.2 s3_svga driver has a small bug which doesn't allow
  `newmmio' access for S3 Trio64V2 chips.
- This causes the same lockups for LX based main baords with S3 Trio64V2
  cards as the S3 server shows too.  The following patch should fix the
  problem (plus a small cosmetic patch for S3 server allowing newmmio
  for S3 Aurora64V+ to o by default).
* Fri Mar 06 1998 - sndirsch@suse.de
- adjusted Cards file in xf86 and TCL scripts in xfsetup for
  GLINT/PERMEDIA/PERMEDIA-2 cards
* Tue Mar 03 1998 - hohndel@suse.de
- update to final XFree86-3.3.2 sources
* Tue Mar 03 1998 - ro@suse.de
- pack everything below lib/XF86Setup into xfsetup package
* Mon Mar 02 1998 - ro@suse.de
- include xload in xf86 / include xload.1 in xman
* Sat Feb 28 1998 - hohndel@suse.de
- re-enabled showfont
- added Xwrapper
- added README.mouse and README.apm
- updated to XFree86-3.3.1z
* Sat Feb 14 1998 - bs@suse.de
- disabled include of /usr/bin/showfont (will be fixed next week).
- skipped some files in xlkit package (will be fixed next week).
* Mon Feb 09 1998 - hohndel@suse.de
- update to XFree86-3.3.1c
* Thu Jan 08 1998 - hohndel@suse.de
- Add support for XSuSE_Matrox
* Sat Dec 06 1997 - hohndel@suse.de
- both XF86Setup and xf86config can now handle the XSuSE servers
- added support for XSuSE_Trident to both programs
- added selection of modes and default color depth to XF86Setup
* Tue Nov 18 1997 - ro@suse.de
- xf86config uses the new cards-file "CardsXSuSE"
  and xf86Setup uses cards-file "Cards"
* Sat Nov 15 1997 - hohndel@suse.de
- added Support for XSuSE_Matrox to XFree86 Setup.
* Wed Nov 12 1997 - ro@suse.de
- fixed link /usr/X11R6/bin/X to /var/X11R6/bin/X in specfile
* Mon Nov 10 1997 - bs@suse.de
- added patches for kdm (Xsession & Xsetup_0)
* Mon Nov 10 1997 - ro@suse.de
- fix two uninitialized variables
* Sun Nov 02 1997 - hohndel@suse.de
- fix error in Cards file
- fix bug in xf86config that was triggered by the bug above
* Sun Oct 26 1997 - hohndel@suse.de
- fixed startx to accept our XSuSE servers as well
- updated xf86config
- fixed install problem with cf and rules files
* Sun Oct 19 1997 - bs@suse.de
- added Dirks patch for xf86config (new SuSE server included)
* Fri Oct 10 1997 - ro@suse.de
- specfile generated -- almost ready for autobuild
* Fri Aug 22 1997 - hohndel@suse.de
- recompile all the binaries without -fexpensive-optimizations
* Thu Aug 07 1997 - hohndel@suse.de
- fix problem with creating xkb temp file in /var/X11R6/xkb/compiled
- fix douplicate docs and as a consequence remove xdoc from the
  dependencies of xf86setup
* Tue Aug 05 1997 - hohndel@suse.de
- XFree86-3.3.1 Binaries
- Experimental Matrox Millennium II support
- Fixed locale problem
- added latin2 fonts
- most known bugs fixed in the servers
- fixed wrong path in proxy manager config
- fixed problem with mounting /usr readonly
- changed linux.cf to set BinUtilsMajorVersion to 27 by default
* Mon Jun 23 1997 - hohndel@suse.de
- fix some minor bugs in some of the servers
* Fri Jun 13 1997 - hohndel@suse.de
  minor fixes
- some fixes for cirrus clock limits
- fixes for S3V hangs
- more servers support DacSpeed for higher bpp
- fix for I128 server
- some build fixes in preparation for -D_REENTRANT
* Tue Jun 03 1997 - hohndel@suse.de
  new version 3.3
* Sat Apr 26 1997 - bs@suse.de
  xlkit.tgz
  xdevel.tgz    - fixed target step in Imake.rules
